VPH Data Editing Software Help

(c) 2014 CKD NIKKI DENSO CO., LTD.

Ver. 4.0


1. Preface

1.1. For safety use

This manual describes the "VPH Data Editing Software" operation procedure, the related notes, and so forth.

Read this manual thoroughly before using this software to make the most of the VPH series capabilities.

In the text of this manual, "VPH Data Editing Software" is written as "this software".

This manual classifies the ranks of safety precautions as "Danger" and "Caution".

Danger

This symbol indicates that, if handling is mistaken, a dangerous situation may be able to occur and a possibility of death or severe injury may be assumed.

Caution

This symbol indicates that, if handling is mistaken, a dangerous situation may be able to occur. A possibility of moderate or minor injury may be assumed and only material damages are assumed to be generated.

Note

This symbol indicates the operation point to be noted.


1.2. Other cautions

·The content of this manual may be subject to change without notice.

·This manual has been prepared to give complete information necessary for the operation, use, handling, and maintenance of the software. Your questions, advice, suggestions, and comments concerning this manual are highly appreciated.

·We shall not be liable for the claims on losses, lost profits, and so forth caused from operation of this software.

·To improve the product, the general view or part of the specification may be subject to change without prior notice.

·Windows is a registered trademark of Microsoft Corporation in the United States and/or other countries.

·ENSIS® is a registered trademark of Mitutoyo Corporation.

·Linear Scale® is a registered trademark of Mitutoyo Corporation.

·BiSS® is a registered trademark of iC-Haus GmbH.

·EnDat® is a registered trademark of HEIDENHAIN.


1.3. Software license agreement

System Support Tool for the VPH Series

VPH Data Editing Software

License Agreement

Before installing the System Support Tool for the VPH Series, User (as defined in paragraph 1.1) shall read the terms and conditions of license agreement described below (hereinafter called this “Agreement"). When installing the Software (as defined in paragraph 1.2), User shall be deemed to have accepted the terms and conditions of this Agreement decided by CKD NIKKI DENSO CO., LTD. (hereinafter called “NIKKI DENSO”).

This Agreement shall apply to those who use Software including individuals and corporations. If not agreeing with this Agreement, User shall not install or use Software.

1. Definitions

As used in this Agreement, the following terms shall have the following meanings:

1.1 "User" means any person who is registered as a user and is granted the License (as defined in paragraph 1.4) to use Software by NIKKI DENSO.

1.2 "Software" means the following software which can be downloaded from the website of NIKKI DENSO together with this Agreement and that can run on User's computer:

Name: System Support Tool for the Servo Driver VPH Series VPH Data Editing Software

Model: NPS-VPHDESN3

1.3 "Software Set" means a set of Software and its copyrighted materials attached to it such as manuals (including, but not limited to, PDF and other electronic documents).

1.4 "License" means the license to use Software granted to User in the manner and the procedure separately decided by NIKKI DENSO.

2. User Registration

2.1 Upon downloading the Software, User shall apply for user registration of NIKKI DENSO. The application for user registration shall be made on the website of NIKKI DENSO by registering as a member or entering customer information. The required items to be entered and other details shall be determined by NIKKI DENSO.

2.2 NIKKI DENSO shall confirm user registration information described in paragraph 2.1 and register User as a member. NIKKI DENSO may check user information such as purchasing history of Servo Driver VPH Series as well as user register information on an as-needed basis.

2.3 If there is any change in user registration information, User shall immediately notify NIKKI DENSO of the change.

2.4 NIKKI DENSO may delete user registration information or suspend the License without prior notice if User violates any provision of this Agreement, or if there is any difficulty in granting the License to use Software in a normal manner due to inevitable reasons such as hacking, in the judgment of NIKKI DENSO.

3. Scope of License

3.1 NIKKI DENSO shall grant User the License to use Software Set (including downloading and installing it on its computer), subject to the terms and conditions stated in this Agreement.

3.2 The consideration of License granted by NIKKI DENSO in accordance with the preceding paragraph shall be free.

3.3 User shall not be granted to sublicense Software to any third party.

3.4 User may create only one (1) copy of Software only for backup purposes.

4. Copyrights

The copyrights to Software Sets shall remain in the sole property of NIKKI DENSO. Transfer of the medium on which Software is recorded, its manuals and/or any other accessories shall not mean the transfer of copyrights to Software Set.

5. Prohibition of Transfer, Lease and Distribution

User shall use Software Set and License only for its business purpose and shall not assign, transfer, distribute, lease, transmit and otherwise dispose of them.

6. Prohibition of Modification

User shall not decompile, reverse engineer, disassemble, modify, alter (including alterations of the source code), adapt all or a part of this Software and/or create derivative works therefor.

7. Limitation of Liability

7.1 NIKKI DENSO does not warrant that the quality and performance of Software Set shall be suitable for the intended use of User.

7.2 In no event shall NIKKI DENSO be responsible to User for any product liability suit filed by third party and any claims of infringement of copyright or other intellectual property rights brought by third party with respect to Software Set.

7.3 When improving (fixing bugs) Software Set, NIKKI DENSO may provide User with improved Software Set and information on the improvement on an as-needed basis, provided, however, that NIKKI DENSO may, at its own discretion, decide on the timing, the means, and other details of provisions. This Agreement shall also apply to the improved Software Set.

7.4 EXCEPT AS PROVIDED IN THE PRECEDING PARAGRAPH 7.1, 7.2 and 7.3, TO THE FULLEST EXTENT PERMITTED BY LAW, IN NO EVENT SHALL NIKKI DENSO BE LIABLE FOR CONSEQUENTIAL, INDIRECT, INCIDENTAL, PUNITIVE, OR SPECIAL DAMAGES, INCLUDING WITHOUT LIMITATION, DAMAGES TO MACHINES, EQUIPMENT, PRODUCTS OR HALF-FINISHED PRODUCTS, LOST PROFITS, LOSS OF DATA, DISCONTINUANCE OF BUSINESS, ANY OTHER PROPRIETARY DAMAGES, DEATH, AND BODILY INJURY ARISING OUT OF OR IN RELATION TO THE USE OF OR INABILITY TO USE SOFTWARE SET.

7.5 IN NO EVENT SHALL NIKKI DENSO’S MAXIMUM LIABILITY TO USER EXCEED THE AMOUNT PAID BY USER TO NIKKI DENSO HEREUNDER AS LICENSE FEE RELATING TO SOFTWARE SET, EVEN IF THE PRECEDING PARAGRAPH 7.1, 7.2 7.3 AND 7.4 OR ANY OTHER TERMS AND CONDITIONS OF THIS AGREEMENT SHALL NOT RELIEVE NIKKI DENSO OF ITS LIABILITY.

8. Termination

If User violates any provision of this Agreement, NIKKI DENSO may immediately terminate this Agreement without any liability to User. Upon termination of this Agreement, User shall, at its own expense, promptly return or irreparably destroy Software Set and any copies thereof, if any, in accordance with the instruction of NIKKI DENSO.

9. Severability

The invalidity or unenforceability of any provision of this Agreement shall in no way affect the validity or enforceability of any other provisions of this Agreement.

10. Governing Law

This Agreement shall be governed by and construed in accordance with the law of Japan. The UN Convention on Contracts for the International Sales of Goods (CISG) does not apply.

11. Dispute Resolution

11.1 If any disputes arise between NIKKI DENSO and User out of Software Set and/or this Agreement, the disputes related to copyright of program shall be subject to the exclusive jurisdiction of the Tokyo District Court in the first instance and any other disputes shall be subject to the exclusive jurisdiction of the Chiba District Court in the first instance.

11.2 Notwithstanding the preceding paragraphs 11.1, if User is located outside of Japan, all disputes, controversies or differences between NIKKI DENSO and User arising out of or in relation to this Agreement shall be finally settled by arbitration in Tokyo, Japan, in accordance with the Commercial Arbitration Rules of the Japan Commercial Arbitration Association.


1.4. Overview

This software is used to perform the following operations for the VPH driver on the personal computer:

1) Parameter editing, program editing, indirect data editing

2) Measurement and display of oscilloscope data/frequency spectrum data/frequency response data

3) Remote operation, operation status display

4) Auto tuning, real time servo adjustment, test run

5) Self-diagnosis/internal control information monitor


1.5. System environment

To use this software, the following system configuration is required.

To perform data communication (parameter transfer and the like) with the VPH driver, the USB cable (commercial product) is required in addition to the personal computer.

* We do not offer the USB cable as an option.

Personal computer | PC/AT compatible computer (USB connector usable)
OS | Windows 7 32bit/64bit (Ultimate, Professional, Enterprise, Home Premium) Windows 8/8.1 32bit/64bit (generic, Pro, Enterprise) Windows 10 32bit/64bit(Home, Pro, Enterprise)
CPU | 1 GHz or faster processor
Memory | RAM of 1 GB (32bit) or 2 GB (64bit) or more
Hard disk | 1 GB or more
Display | XGA (1024x768 pixels) or more
Supported language | Japanese, English, Chinese(simplified), Chinese(traditional), Korean
Others | .NET Framework 4.0 or above Visual C++ 2010 Runtime


1.6. Export control

If this product or the technology you are about to supply is suspected to be used for the development of weapons of mass destruction or conventional weapons, for example, you may be subject to the export control specified in the "Foreign Exchange and Foreign Trade Law". Before exporting this product or the technology, perform adequate examination and the necessary export procedure.


2. Installation and uninstallation

2.1. Installing this software

1) Double-click the [Setup.exe] file to start installation of this software.

2) In case of USB driver is not installed.

The installation screen of USB driver will be appeared

Please install according to the screen.

3). In case of NET Framework4.0 is not installed.

4) The .Net Framework 4.0 is installed.

When the installation is complete, this dialog is automatically closed.

5) If the Visual C++ 2010 runtime library is not installed:

The following window appears. Click the [Install] button and perform installation as indicated below.

6) Check the [I have read and accept the license terms.] check box and click the [Install] button.

7) When the installation of the Visual C++ 2010 runtime library is complete, the following window appears.

Click the [Finish] button, and proceed to the installation of this software.

8) If the required component is installed:

The following window appears. Click the [Next] button.

9) If you agree to the software license:

Check [I accept the terms in the License Agreement] and click the [Next] button.

If you do not check, this software cannot be installed.

10) If you change the installation destination directory:

Click the [Change] button for change. Then, click the [Next] button.

11) Confirming installation

To perform installation with data entered so far, click the [Install] button.

12) The execution progress of the installation program appears.

13) When the installation is complete, the following window appears.

Click the [Finish] button.


2.2. Uninstalling this software

1) To display the [Programs and Features] window, click [Start]-[Control Panel]-[Programs and Features] from the Windows taskbar.

2) Select [VPH Data Editing Software] in the list box and click the [Uninstall] button.

3) Click the [Yes] button.

4) The following window appears. This completes the uninstallation.


2.3. Installing the USB driver

Double-click the [USB_Driver] folder.

When the OS for your PC is 32-bit mode, execute dpinst32.exe. In 64-bit mode, execute dpinst64.exe. Perform installation according to the following wizard.

1) From the start window, click the [Next >] button.

2) From the following window, click [Install].

3) USB driver installation starts.

4) The following window appears to indicate the USB driver installation completion.

5) Connect the VPH driver to the USB port.

The following popup appears. This completes the installation of the software.


2.4. Uninstalling the USB driver

1) To display the [Programs and Features] window, click [Start]-[Control Panel]-[Programs and Features] from the Windows taskbar.

2) Select [Windows Driver Package – CKD NIKKI DENSO CO., LTD. (WinUSB) CKD NIKKI DENSO VPH USB Device] in the list box and click the [Uninstall/Change] button.

3) Click the [Yes] button.


3. Functions and operations

3.1. Starting this software

To start this software, select

[Start]->[Programs(P)]->

[NikkiDenso]->[VPH Data Editing Software]->[Nikki VPH DES]

from the Windows taskbar. Alternatively, use the [Nikki VPH DES] shortcut created on the desktop for execution.

After the following logo appears, the Driver/Motor selection window appears.


3.2. Driver/Motor selection window

This window is used to select a driver/motor to be used.


3.2.1. Selecting the driver/motor by reading the driver information from the VPH driver

1) If this software and the VPH driver are connected with each other and the driver power is on, click the [Obtain the setting from driver] button to read the information registered within the driver.

*If the VPH driver software is connected to the startup, it will automatically read the driver information.

2) Based on the read-out information, driver and motor information is selected and appears on the window.

3) Click the [Decision] button to move to the main tool bar.

If this software fails in USB communication with the VPH driver

Check the contents displayed in the message.

If a VPH driver that cannot be used with this software is connected

If this message appears, you must update the software to support the connected VPH driver.

Contact your sales representative.

If motor information that cannot be used with this software is set for the VPH driver

Confirm whether the motor to use is in the motor field.

If you cannot find the motor you want to use there, you must update the software.

Contact your sales representative.


3.2.2. Selecting the driver/motor manually

If this software fails in USB communication with the VPH driver, select the VPH driver and motor to use directly.

1) Selecting the driver

Make selections from the combo boxes in the Driver field in order starting with the top one.

2) Selecting the motor

Make selections from the combo boxes in the Motor field in order starting with the top one.

Depending on the product classification, you may be requested to enter a value.

3) Click the [Decision] button to move to the main tool bar.


3.2.3. Selecting the driver/motor by dropping a file

By dropping a parameter file to this window, you can automatically select the driver/motor and open the parameter file.

* For information about files you can drop, see "6.2. Dropping files".

1) Drag the parameter file you want to open, and drop it to this window.

2) This window is closed, and the main tool bar appears.

3) The dropped parameter file appears.


3.2.4. Driver/motor selection message

Before you move from the Driver/Motor selection window to the main tool bar, messages such as the ones below may appear.

If this occurs, perform operations in accordance with the messages.

The selection of driver is correct, but the motor information has not been set yet.

If the driver selection is correct, but the motor selection differs from the information in the VPH driver

* This message always appears if you change the motor.

If a parameter that requires a reboot is changed

If the driver selection differs from the VPH driver information

If fully matching driver information cannot be found

When transmitting the motor encoder related parameters to the device, in the case of the network communication

During communicating the network when trying to restart equipment automatically

When the encoder type was changed to a BiSS encoder

When the encoder type was changed to a HEIDENHAIN ABS encoder


3.2.5. Switching the display language

You can switch the display language for this software.

1) Change the language selection combo box (Display language choice).

2) If you change the language, a reboot confirmation message appears.

3) Click "OK", and this software starts with the selected language.


3.3. Main tool bar window

This window is the main window of this software that starts the window of each function.

Menu bar

Displays menus from which the function of this software is selected.

Main tool bar

Displays buttons with which the function of this software is selected.

Status bar

Displays the driver USB connection status, parameter reflection status, command unit, setting unit, driver type, and motor model.

1) USB connection status:

Can communicate with the driver.

Cannot communicate with the driver.

Note

If you set a different driver is connected, the following message appears.

Returning to the Driver / Motor selection window, please re-set.

2) Parameter reflection status:

None displayed | The parameter values are the latest.
restart | To reflect the parameter values, you must turn off the power and back on. When an icon is clicked, VPH driver will be re-started
reset | To reflect the parameter values, you must enter the RST signal. RST signal input is done by clicking an icon.

3) Alarm, warning status:

No Display | There are no alarm and warning occurrence.
 | This icon will be displayed when an alarm occurs.
 | This icon will be displayed when an warning occurs.

4) Network communication state:

No Display | It is a driver not using network.
 | Driver is in a maintenance mode. When an icon is clicked, a Function mode switching window is indicated.
 | Driver is in a maintenance mode. MODE switch is either ON or MTON signal is state of ON. It's unable to change to a communication mode.
 | Driver is in a communication mode. When an icon is clicked, a Function mode switching window is indicated.
 | Driver is in a communication mode and is in the process of connecting a network. It is unable to change to a maintenance mode.

5) Unit:

Displays the selected position unit and position decimal point unit.

6) Driver type:

Displays the selected driver type.

7) Motor model:

Displays the selected motor model.

Returning to the Driver/Motor selection window

You can select a driver/motor when this software is started or at any given point in time.

From the menu bar, select

[File(F)]->[Driver/Motor selection(D)], and

all currently open windows are closed.

Note

If you have any windows being edited, confirm whether to close the windows.

If you close all windows, you will be returned to the Driver/Motor selection window.

If you leave the open windows unclosed, you will not be returned to the Driver/Motor selection window.

If any of the following functions are being executed, you cannot return to the Driver/Motor selection window.

Parameter, program, indirect data, and batch data transmission and reception

Oscilloscope measurement and frequency spectrum measurement

Frequency response measuring, self diagnosis, test run and auto-tuning


3.3.1. Power ON again, RST signal input

1) Power ON again

Click restart Power ON again icon in the status bar, the following confirming message will be indicated.

Click [OK] to restart the driver and then restart.

Click [Cancel] to stop

Note

When a MTON signal is on, the following message is indicated.

After servo-off, please click on the restart power ON again icon.

If the device is in the network communication, the following message will be appeared.

Please manually conduct the power ON again.

2) RST signal input

If you click reset RST signal input icon in the status, you will see a confirmation message such as the following.

Click [OK] to input the RST signal.

Click [Cancel]to stop RST signal.

Note

When a MTON signal is on, the following message will be indicated.

After servo-off, please click on the reset icon of the RST signal input.

If the device is in the network communication, the following message will be appeared.

Please manually conduct the Power ON again.


3.3.2. Functional mode switching

If you click on the status bar of 4) of network communication status icon ( [image] or [image]), function mode switching window will appear.

In the case of communication mode

In the case of maintenance mode

Note

When the MODE switch is ON, the following message will appear.

If MTON signal is ON, the following message will appear.

After servo-off, please click on the icon again.

If the driver is in the network communication, the following message will appear.

Please click the icon again to disconnect from the network.

1) Enter the switching code that is displayed, and then press the [Enter] key.

2) Function mode switching button becomes clickable.

In the case of communication mode

In the case of maintenance mode

3) If you click the function mode switching button, you will see a confirmation message such as the following.

In the case of communication mode

In the case of maintenance mode

Click the [OK] if you switch the mode, if you decide to cancel, please click on the [Cancel].

Note

If MTON signal is ON, the following message will appear.

After servo-off, please click the function mode switching button.

If the driver is in the network communication, the following message will appear.

Please make sure to separate it from network before clicking the function mode switching button again.

Note

By dropping an appropriate file to this window, you can open the file.

* For information about appropriate files, see "6.2. Dropping files".


3.4. Ending this software

This software is ended with the [x] button on the Driver/Motor selection window or with menu bar selection or the [x] button on the main tool bar.

1) [x] button on the Driver/Motor selection window

1. Click the [x] button in the upper-right corner of the Driver/Motor selection window.

2. Click the [OK] button in the exit confirmation message window.

2) Menu on the main tool bar

1. Click [File(F)]->[End(X)] from the menu bar on the main tool bar.

2. Click the [OK] button in the exit confirmation message window.

3) [x] button on the main tool bar

1. Click the [x] button in the upper-right corner of the main tool bar.

2. Click the [OK] button in the exit confirmation message window.


3.5. Parameter editing window

This window is used to edit VPH driver parameters.


3.5.1. Displaying the window

To display this window, select

[File(F)]->[New(N)]->[Parameter(P)],

[File(F)]->[Open(O)]->[Parameter(P)], or

[File(F)]->[Parameter file conversion] from the menu bar.

Alternatively, select

the [Data editing] tab->[Parameter] ->[Parameter Menu] from the main tool bar.


3.5.2. Editing parameters

1) Editing parameters directly

1. Select a parameter, using the mouse or the keyboard.

2. Click the selected parameter with the mouse or press the [Enter] or [F2] key to place the parameter in the edit status.

·For a numerical input item: Enter data directly from the keyboard.

·For a selective item: Select an item from the list.

3. Get it out of focus or press the [Enter], [Tab], or [F2] key to confirm the parameter.

* You cannot edit grayed-out parameters.

2) Copying/pasting parameters

Copying/pasting between the parameter editing windows

This function is convenient to copy parameter data in the specific range onto another window while two or more parameter windows are displayed.

1. Copying parameter data

To copy parameter data, specify the copy range by pressing [Shift]+[Up arrow] or [Shift]+[Down arrow]. Alternatively, after dragging data with the mouse, select [Copy] by right-clicking of the mouse or make a copy with Ctrl+C.

2. Pasting parameter data

Specify the parameter data pasting destination with the cursor, select [Paste] with right-clicking of the mouse or paste data with Ctrl+V.


3.5.3. Searching the parameter name

Parameter name searching screen will be displayed by pressing [Ctrl] + [F] while it is searching the parameter.

1) Select the parameter to match to the searching string by entering the searching string and clicking he [Next] or [Previous] button.

You can have a same operation of [Next] by pressing the [Enter] or [F3] key.

You can have a same operation of [Previous] by pressing the [Shift] + [F3] key.

Note

If the matching parameter is not found, the following message will appear.

2) To close the displayed parameter name serching window,

click the [Close] button or click the [x] button.


3.5.4 Setting unit and electric gear

You can set unit- and electric gear-related parameters.

3.5.4.1. Displaying the window

To display this window, select

[Unit/Gear setting]

from the parameter editing window.

Note

1) When you attempt to open this window with [Auto setting] being already set, the following message may appear.

This message appears if the position unit that is set in the parameter editing window cannot be selected with [Auto setting].

2) When you attempt to change "Setting mode" to [Auto setting] in this window, the following message may appear.

This message appears if the currently selected position unit cannot be selected with [Auto setting].

[OK]: Changes the position unit to an appropriate value and move to automatic setting.

[Cancel]: Cancels the change to the setting mode.

Note

3)When you attempt to change "Setting mode" to [Auto setting] in this window, the following message may appear.

This message appears if the currently selected position decimal point unit is invalid so that the mechanical travel amount and the rotor position range cannot be automatically set normally.

Change the position decimal point unit to the displayed value before moving to automatic setting.

4)When you attempt to change "Setting mode" to [Auto setting] in this window, the following message may appear.

This message appears if a value that cannot be automatically set is set for any of the mechanical travel amount, electric gear ratio numerator, electric gear ratio denominator, rotor position range, and rotation position range sign switching position.

[OK]: Sets a value that can be automatically set for any of the mechanical travel amount, electric gear ratio numerator, electric gear ratio denominator, rotor position range, and rotation position range sign switching position.

[Cancel]: Interrupts automatic setting.

3.5.4.2. Editing unit and electronic gear

Selecting the setting mode

When you open this window, you can select the setting mode between [Auto setting] and [Manual setting].

Auto setting

Automatically calculates and sets the mechanical travel amount/electric gear ratio numerator/electric gear ratio denominator/rotor position range/rotation position range sign switching position from the selected position unit and position decimal point unit.

Manual setting

Select a position unit and a position decimal point unit first, and then directly enter and set the mechanical travel amount/electric gear ratio numerator/electric gear ratio denominator/rotor position range/rotation position range sign switching position.

1) If you set "Setting mode" to [Auto setting]

This window appears as shown in the figure below.

If you set "Setting mode" to [Auto setting], you can edit the following items.

1. Position unit

2. Position decimal point unit

3. Rotor position range

By selecting items 1 to 3, the mechanical travel amount/electric gear ratio numerator/electric gear ratio denominator/rotor position range/rotation position range sign switching position are automatically calculated and set.

For how to set each item, see below.

1. Position unit selection

Select a position unit.

Depending on the motor product classification set when this software is started (see 3.2. Driver/Motor selection window), the position units that can be selected differ.

Motor product classification | Position unit that can be selected
Tau DISC | deg, pulse, kpulse
Tau linear | m, mm, um, inch, pulse, kpulse

2. Position decimal point selection

Select a position decimal point unit.

Note

Due to this operation, the following message may appear.

This message appears if an invalid position decimal point unit is selected for the position unit selected in ? so that the mechanical travel amount and the rotor position range cannot be automatically set normally.

3. Rotor position range setting

Set the rotor position range/rotation position range sign switching position.

* If the motor product classification is "Tau linear", this parameter cannot be set.

If you check it, the rotor position range/rotation position range sign switching position are automatically set to appropriate values.

If you remove the check, the rotor position range/rotation position range sign switching position are set to 0.

Note

Due to this operation, the following message may appear.

This message appears if the position unit and position decimal point unit combination is invalid so that the rotor position range cannot be automatically set normally.

2) If you set "Setting mode" to [Manual setting]

This window appears as shown in the figure below.

If you set "Setting mode" to [Manual setting], you can edit the following items.

1. Position unit setting

2. Position decimal point unit setting

3. Mechanical travel amount setting

4. Electric gear setting

5. Rotor position range

For how to set each item, see below.

1. Position unit selection

Select a position unit.

2. Position decimal point selection

Select a position decimal point unit.

3. Mechanical travel amount setting

Enter a mechanical travel amount directly.

4. Electric gear setting

Enter an electric gear ratio numerator and an electric gear ratio denominator directly.

5. Rotor position range setting

Enter the rotor position range/rotation position range sign switching position directly.

* If the motor product classification is "Tau linear", this parameter cannot be set.

3.5.4.3. Setting parameters

By clicking [Setting] in this window, this window is closed, and the parameters edited in this window are set in the parameter editing window.

If the position unit and the position decimal point unit are changed, the following message appears.

Caution

If you have changed the position unit and the position decimal point unit, be sure to review the following settings before operating the motor.

1.Parameter value of speed and travel amount

2.Program data setting value

3.Indirect data setting value

Use caution because if the motor is operated without reviewing the setting values, the motor may perform unintended operation.

3.5.4.4. Closing the window

By clicking [Close] in this window, you can close this window.

If, after parameter changes, you click [Close] without clicking [Setting] first, the following message appears.

If you click [Yes], this window is closed without applying the parameter changes made in this window.

If you click [No], closing the window is canceled.


3.5.5. Selecting the group

Clicking the parameter group selection button enables parameters to be edited for each group. The following window shows the contents when the [Command setting] group has been selected.

While [View all] is selected, if the parameter number is set by clicking the jump switch for the specified parameter (combo box), the cursor moves to the specified one.

If [P100] is selected, the P100 content appears on the window and the cursor moves to it.


3.5.6. Writing parameters

1) Click the [Transmission to the driver] button to write parameters from the parameter editing window to the driver.

2) The confirmation message appears to ask you whether writing is possible. To write data, click the [OK] button. To cancel it, click the [Cancel] button.

Note

In Version 2.2.0 and later, the value of the FB filter setting method selection, formerly stored in this software, is stored in the driver and checked when the parameter is written.

If the FB filter setting method selection set in the parameter to be written differs from that stored in the driver, the following message appears.

Basically, select [Yes]. If necessary, set the FB filter setting method selection again in the "real time servo adjustment window".

Also, when auto-tuning is performed for re-adjustment, the FB filter setting method selection is set again as well.

After changing the setting, you can retain the value of the FB filter setting method selection by reading the parameter and saving it in the file. This makes it possible to set the saved value in the driver the next time the parameter is written.

When a file saved in a version earlier than Version 2.2.0 is written, this message does not appear, because the value of the FB filter setting method selection is not saved in the file.

In Version 4.0.0 and later, when "Absolute position compensation action entry" is "Ineffective" for the setting of absolute position compensation data, a message appears before the parameters are written in the following cases:

·The encoder type is one of "S-ABS2", "S-ABS3", and "S-ABS4" and absolute position compensation data is registered in the encoder.

·The encoder type is other than "S-ABS2", "S-ABS3", and "S-ABS4" and absolute position compensation data is registered in the VPH driver.

Click "Yes" to transmit them with "Correction effective".

Click "No" to transmit them by leaving it "Ineffective".

If the parameters for the test run differ from those stored in the driver, the following message appears before the parameters are written.

If you click [OK], the operation parameters for the test run are overwritten by the values of the parameter file.

Click [Cancel] to cancel writing.

3) Writing ends when the bar indication reaches the right end.

4) It will write the name of the file that is displayed in the title when writing to the driver.

5) The following guide message appears when the parameter requiring power to be turned on again or requiring RST signal input has been sent.

When necesswary parameter for the power ON again is sent

If the necessary parameter for RST signal input is sent

Click [OK] to input RST signal input or to conduct power ON again. Click the [Cancel ], to stop.

Note

When power ON again is required parameters have been sent, and MTON signal is ON, following message will appear.

When power ON again is required parameters have been sent, and MTON signal is ON, following message will appear.

When you try to conduct the power ON again and MTON signal is ON, following message will be appeared.

After servo-off, make sure to manually conduct the power ON again or conduct the power On again fron the main toolbar.

When necessary parameter for the power ON again following message will be displayed during network communication.

After disconnecting the network, manually conduct the power ON again or conduct the power On again from the main toolbar.

When conducting the power ON again, following message will be displayed during network communication.

After disconnecting the network, manually conduct the power On again or conduct the power ON again from the main toolbar.

When the necessary parameter for RST signals have been sent and MTON signal is ON, the following message will be appeared.

After servo-off, manually conduct the power ON again or conduct RST signal input from the main toolbar.

When conducting RST signal input and MTON signal is ON, the following message will be appeared.

After servo-off, manually conduct the power ON again or conduct the RST signal input from the main toolbar.

When necessary parameter for RST signal input have been sent, the following message will be appeared during network communication.

After disconnecting the network, conduct the power ON again and conduct the RST signal input from the main toolbar.

When conducting the RST signal input, following message will be appeared during network communication.

After disconnecting the network, conduct the power ON again or conduct the RST signal input from the main toolbar.


3.5.7. Reading parameters

1) To read parameters from the driver, click the [Reception from the driver] button.

2) The confirmation message appears to ask you whether data can be read. To read data, click the [OK] button. To cancel it, click the [Cancel] button.

3) Reading ends when the bar indication reaches the right end.

4) At the time of reading, it will show the parameter name that is set to the driver.

The name that is displayed is the initial file name at save.

5) While reading parameter, there are cases that the following message may be displayed.

In case this message is displayed, it can be considered that the parameter set to the driver has exceeded setting range of parameter which is currently edited by this software.

1. In case [Yes] is clicked, reading will continue.

[P008(1)=4/P008(2)=3/P028(3-1)=101/P210=-1] is the parameter values outside the range that is set in the apparatus. In () it represents the digit range of parameters.

However, the parameter outside range mandatorily sets the initial value.

In case this message is displayed, the following is considered.

Contents | Countermeasure
Used parameter file made with old version. | Please perform reading of newly made parameter again.
The version of the driver and the version of this software is not compatible (The version of this software is old). | It is necessary to upgrade the version of this software. Contact your sales representative.
The parameter value set to the driver is out of range (The parameter is rewritten to an out-of-range value from a host equipment etc.). | Please correct the part where set parameter value is out of range.

2. In case [No] is clicked, reading will be discontinued.

Note

If you cancel reading parameters because a parameter value is out of range, the reading of the parameters before the parameter whose value is out of range has been completed.


3.5.8. Comparing parameters

If you click the [Comparison] button in the parameter editing window, the parameter data comparison window is opened.

Comparison types are [Comparison to init. value], [Comparison to driver], [Comparison to file], and [Comparison of ROM and RAM].

If you execute comparison, the number of differences and a list of differences appear.

Comparison results: Confirming differences

There are no differences

There are differences

Comparison results: List of differences

A list of differences shows a parameter number, parameter item name, comparison source setting value, comparison target setting value, and comparison source unit in order from left to right.

Note

When a value outside of the range is set as the value of the comparison target, the value would be displayed in red, enclosed by '()'.

Comparison with initial values

1) To compare initial parameter values with the data being edited,

click [Comparison]->[Comparison to init. value] buttons.

2) Comparison results appear in the "Comparison results: List of differences" format.

* If the parameter referencing the value of P161: Position decimal point unit selection is the comparison target

For the comparison source setting value, the value that reflects the position decimal point unit set when the comparison is executed appears.

For the comparison target setting value, the value that reflects the position decimal point unit saved as the initial value appears.

Comparison with parameters in the driver

1) To compare driver parameters with the data being edited,

click [Comparison]->[Comparison to driver] buttons.

2) Comparison results appear in the "Comparison results: List of differences" format.

* If the parameter referencing the value of P161: Position decimal point unit selection is the comparison target

For the comparison source setting value, the value that reflects the position decimal point unit set when the comparison is executed appears.

For the comparison target setting value, the value that reflects the position decimal point unit set in the driver appears.

Comparison with the file

1) To compare the specified file with the data being edited,

click [Comparison]->[Comparison to file] buttons.

2) The [Open file] window appears.

3) Select the file to be compared and click the [Open(O)] button.

4) Comparison results appear in the "Comparison results: List of differences" format.

* If the parameter referencing the value of P161: Position decimal point unit selection is the comparison target

For the comparison source setting value, the value that reflects the position decimal point unit set when the comparison is executed appears.

For the comparison target setting value, the value that reflects the position decimal point unit saved in the file appears.

Comparison with the ROM and RAM

1) To compare driver parameters with the ROM area and RAM area being edited,

click [Comparison]->[Comparison of ROM and RAM] buttons.

2) Comparison results appear in the "Comparison results: List of differences" format.

* If the parameter referencing the value of P161: Position decimal point unit selection is the comparison target

For the comparison source setting value, the value that reflects the position decimal point unit set when the comparison is executed appears.

For the comparison target setting value, the value that reflects the position decimal point unit set when the comparison is executed appears.

* About ROM area and a RAM area

ROM area is an area that does not disappear data even when the power is turned off of the device. Rewriting limit of ROM area is one billion times.

RAM area is the area where data Dropping the power of the device is lost. When the data is rewritten in the power-on of the device or when ROM area, data of the ROM area will be copied to the RAM area. Device using the data of RAM area will work. RAM area is no limit to the number of rewrites.

Output of the comparison result

1) Output to the file

Clicking the [CSV output] button enables the differences to be output to the CSV file.

2) Printing

Clicking the [Print] button in the state in which differences exist enables the differences to be printed.


3.5.9. Opening the file

To open the saved parameters, do as follow:

1) To open the parameters from the main tool bar

1. Click [File(F)]->[Open]->[Parameter] from the main tool bar.

2. The Open file dialog appears. Select the parameter file to be opened and click the [Open] button.

2) To open the parameters from the parameter editing window

1. Click [Open] on the parameter editing window.

2. The Open file dialog appears. Select the parameter file to be opened and click the [Open] button.

Note

The extension that can be selected from Files of type depends on the driver or motor.

* For details, see "6.1. File extension list".

By dropping an appropriate parameter file to this window, you can open the parameter file.

* For information about appropriate files, see "6.2. Dropping files".


3.5.10. Saving parameters in the file

To save parameters on the parameter editing window in the file, overwrite them for the same file name. Alternatively, specify a new file name for saving.

1) To overwrite the parameters for the same file name, click the [Save] button from the menu bar.

2) To save the parameters by specifying a new file name, click the [Save As] button from the menu bar.

Note

In Version 2.2.0 and later, the value of the FB filter setting method selection, formerly stored in this software, is stored in the driver as well as in the parameter.

The value of the FB filter setting method selection that is stored is the value that is read from the driver.


3.5.11. Printing

To print parameters on the parameter editing window, click the [Print] button from the menu bar.

1) If parameters are selected, the following message appears.

1. Specify a print range.

1) To print the entire range

1. Select [All print].

2. Click the [OK] button.

2) To specify a print range and print that range

1. Select [Select print].

2. Click the [OK] button.

2. The Print window is displayed.

1) To print, set each item and click the [Print] button.

2) To cancel printing, click the [Cancel] button.

2) If no parameters are selected, the entire range is printed.


3.5.12. Closing the window

To close the parameter editing window being displayed, click the [Close] button or click the [x] button.

If the above processing is performed with parameters changed, the following confirmation message appears.

To close the window, click [OK]. To cancel it, click [Cancel].

* The confirmation message does not appear if parameters are saved with [Save] or [Save As].


3.6. Indirect data editing window

This window is used to edit indirect data.


3.6.1. Displaying the window

To display this window, select

[File(F)]->[New(N)]->[Indirect data(I)]

or

[File(F)]->[Open(O)]->[Indirect data(I)] from the menu bar.

Alternatively, select

the [Data editing] tab->[Indirect data]->[Indirect data Menu]

from the main tool bar.


3.6.2. Editing indirect data

1) Editing indirect data directly

1. Select indirect data, using the mouse or the keyboard.

2. Click the selected indirect data with the mouse or press the [Enter] or [F2] key to place the indirect data in the edit status.

·For a numerical input item: Enter data directly from the keyboard.

·For a selective item: Select an item from the list.

3. Get it out of focus or press the [Enter], [Tab], or [F2] key to confirm the indirect data.

2) Copying/pasting indirect data

Copying/pasting between indirect data editing windows
This function is convenient to copy indirect data in the specific range onto another window while two or more indirect data editing windows are displayed.

1. Copying indirect data

Specify the copy range by pressing [Shift]+[Up arrow] or [Shift]+[Down arrow]. Alternatively, after dragging data with the mouse, select [Copy] by right-clicking of the mouse or make a copy with Ctrl+C.

2. Pasting indirect data

Specify the indirect data pasting destination with the cursor, select [Paste] with right-clicking of the mouse or paste data with Ctrl+V.


3.6.3. Writing indirect data

1) Click the [Transmission to the driver] button to write indirect data from the indirect data editing window to the driver.

2) The confirmation message appears to ask you whether writing is possible. To write data, click the [OK] button. To cancel it, click the [Cancel] button.

3) Writing ends when the bar indication reaches the right end.

4) It will write the name of the file that is displayed in the title when writing to the driver.

Note

It is unable to send the indirect data if the position unit and the position decimal unit set at the indirect data editing window do not match with the actual position unit and the position decimal set in the driver.

Please reset the position unit, position decimal unit, set at the indirect data editing window, or the position unit, position decimal unit is set in the equipment.

Press the unit conversion button to set the position unit or position decimal unit set at the indirect data edit window.

Convert the position unit or position decimal unit set at the indirect data edit window to the unit set in the equipment.


3.6.4. Reading indirect data

1) To read indirect data from the driver, click the [Reception from the driver] button.

2) The confirmation message appears to ask you whether data can be read. To read data, click the [OK] button. To cancel it, click the [Cancel] button.

3) Reading ends when the bar indication reaches the right end.

4) At the time of reading, it will show the indirect data name that is set to the driver.

The name that is displayed is the initial file name at save.

Note

If the function types differ between this software and driver, the indirect data cannot be exchanged. Set the driver/motor selection of this software again.


3.6.5. Comparing indirect data

If you click the [Comparison] button in the indirect data editing window, the indirect data comparison window is opened.

Comparison types are [Comparison to init. value], [Comparison to driver], and [Comparison to file].

If you execute comparison, the number of differences and a list of differences appear.

Comparison results: Confirming differences

There are no differences

There are differences

Comparison results: List of differences

A list of differences shows an indirect data number, indirect data item name, comparison source setting value, comparison target setting value, comparison source unit, and comparison source comment in order from left to right.

Note

When a value outside of the range is set as the value of the comparison target, the value would be displayed in red, enclosed by '()'.

Comparison with initial values

1) To compare initial indirect data values with the data being edited,

click [Comparison]->[Comparison to init. value] buttons.

2) Comparison results appear in the "Comparison results: List of differences" format.

* For both comparison source setting value and comparison target setting value, values that reflect the position decimal point unit set when the comparison is executed appear.

Comparison with indirect data in the driver

1) To compare driver indirect data with the data being edited,

click [Comparison]->[Comparison to driver] buttons.

2) Comparison results appear in the "Comparison results: List of differences" format.

* For the comparison source setting value, the value that reflects the position decimal point unit set when the comparison is executed appears.

For the comparison target setting value, the value that reflects the position decimal point unit set in the driver appears.

Comparison with the file

1) To compare the specified file with the data being edited,

click [Comparison]->[Comparison to file] buttons.

2) The [Open file] window appears.

3) Select the file to be compared and click the [Open(O)] button.

4) Comparison results appear in the "Comparison results: List of differences" format.

* For the comparison source setting value, the value that reflects the position decimal point unit set when the comparison is executed appears.

For the comparison target setting value, the value that reflects the position decimal point unit saved in the file appears.

Output of the comparison result

1) Output to the file

Clicking the [CSV output] button enables the differences to be output to the CSV file.

2) Printing

Clicking the [Print] button in the state in which differences exist enables the differences to be printed.


3.6.6. Opening the file

1) To open the indirect data file from the main tool bar

1. Click [File(F)]->[Open]->[Indirect data] from the main tool bar.

2. The Open file dialog appears. Select the indirect data file to be opened and click the [Open] button.

2) To open the indirect data file from the indirect data editing window

1. Click [Open] on the indirect data editing window.

2. The Open file dialog appears. Select the indirect data file to be opened and click the [Open] button.

Note

1) The extension that can be selected from Files of type depends on the driver.

* For details, see "6.1. File extension list".

2) By dropping an appropriate indirect data file to this window, you can open the indirect data file.

* For information about appropriate files, see "6.2. Dropping files".


3.6.7. Saving the indirect data in the file

To save the indirect data on the indirect data editing window in a file, overwrite it for the same file name. Alternatively, specify a new file name for saving.

1) To overwrite the indirect data for the same file name,

click the [Save] button from the menu bar.

2) To save the indirect data by specifying a new file name,

click the [Save As] button from the menu bar.


3.6.8. Printing

To print parameters on the indirect data editing window,
click the [Print] button from the menu bar.

1) If indirect data is selected, the following message appears.

1. Specify a print range.

1) To print the entire range

1. Select [All print].

2. Click the [OK] button.

2) To specify a print range and print that range

1. Select [Select print].

2. Click the [OK] button.

2. The Print window is displayed.

1) To print, select each item and click the [Print] button.

2) To cancel printing, click the [Cancel] button.

2) If no indirect data is selected, the entire range is printed.


3.6.9. Closing the window

To close the indirect data editing window being displayed, click the [Close] button or click the [x] button.

If the above processing is performed with indirect data changed, the following confirmation message appears.

To close the window, click [OK]. To cancel it, click [Cancel].

* The confirmation message does not appear if indirect data is saved with [Save] or [Save As].


3.7. Program editing window

This window is used to edit programs for the VPH driver.


3.7.1. Displaying the window

To display this window, select

[File(F)]->[New(N)]->[Program(R)]

or

[File(F)]->[Open(O)]->[Program(R)] from the menu bar.

Alternatively, select

the [Data editing] tab->[Program]->[Program Menu]

from the main tool bar.


3.7.2. Editing the program

1) Editing the program directly

1. To specify the editing item, click the target program step with the mouse.

2. When entering the program, enter the data in the following order.

·Clicking CMD of the editing item displays [image].

·Clicking [image] enables the item to be selectable.

·After selecting CMD, select the combo box of the edit location or enter data directly from the keyboard.

However, the input item that follows depends on the CMD contents. (Follow the window indication.)

2) Copying/pasting programs

Copying/pasting between program editing windows
This function is convenient to copy program data in the specific range onto another window while two or more program editing windows are displayed.

1. Copying program data

To copy program data, specify the copy range by pressing [Shift]+[Up arrow] or [Shift]+[Down arrow]. Alternatively, after dragging data with the mouse, select [Copy] by right-clicking of the mouse or make a copy with Ctrl+C.

2. Pasting program data

Specify the program data pasting destination with the cursor, select [Paste] with right-clicking of the mouse or paste data with Ctrl+V.

The program step is pasted as follows.

3) Inserting a row

1. Set the cursor in any row.

2. If the [Insert row] button is clicked, a new row is inserted as shown below and the [NOP] instruction is registered.

You can also insert a row in a similar way from inside the context menu, which appears by right-clicking the mouse.

The following message appears to disable row insertion when the final row is not the [NOP] instruction.

To insert a row, set the final row to a command other than [NOP].

4) Deleting a row

1. Set the cursor in any row.

2. If the [Delete] button is clicked, the specified row is deleted as shown below and the subsequent step comes forward.

Executing Delete adds the [NOP] instruction to the final row.

You can also delete a row in a similar way from inside the context menu, which appears by right-clicking the mouse.


3.7.3. Writing a program

1) To write the program on the program editing window in the driver, click the [Transmission to the driver] button.

2) The confirmation message appears to ask you whether writing is possible. To write data, click the [OK] button. To cancel it, click the [Cancel] button. Clicking the [OK] button displays the writing progress on the bar.

3) Writing ends when the bar indication reaches the right end.

4) It will write the name of the file that is displayed in the title when writing to the driver.

Note

It is unable to send the program if the position unit and the position decimal unit set at the program editing screen do not match with the actual position unit and the position decimal set in the driver.

Please reset the position unit, position decimal unit, set at the program editing screen, or the position unit, position decimal unit is set in the equipment.

Press the unit conversion button to set the position unit or position decimal unit set at the program edit screen.

Convert the position unit or position decimal unit set at the program edit screen to the unit set in the equipment.

Caution

If data is written in the program during program operation, the operation is switched to the one with new program data in the middle of the operation.

In general, write data after ending the program being operated.


3.7.4. Reading the program

1) To read the program from the driver, click the [Reception from the driver] button.

2) The confirmation message appears to ask you whether data can be read. To read data, click the [OK] button. To cancel it, click the [Cancel] button. Clicking the [OK] button displays the reading progress on the bar.

3) Reading ends when the bar indication reaches the right end.

4) At the time of reading, it will show the program name that is set to the driver.

The name that is displayed is the initial file name at save.


3.7.5. Comparing program data

If you click the [Comparison] button in the program editing window, the program data comparison window is opened.

Comparison types are [Comparison to init. value], [Comparison to driver], and [Comparison to file].

If you execute comparison, the number of differences and a list of differences appear.

Comparison results: Confirming differences

There are no differences

There are differences

Comparison results: List of differences

A list of differences shows a program address, comparison source command, comparison source setting values 0 to 7, comparison source comments, comparison target command, comparison target setting values 0 to 7, and comparison target comments in order from left to right.

Note

When a value outside of the range is set as the value of the comparison target, the value would be displayed in red, enclosed by '()'.

Comparison with initial values

1) To compare initial program values with the data being edited,

click [Comparison]->[Comparison to init. value] buttons.

2) Comparison results appear in the "Comparison results: List of differences" format.

* If the setting value referencing the value of P161: Position decimal point unit selection is the comparison target

For both comparison source setting value and comparison target setting value, values that reflect the position decimal point unit set when the comparison is executed appear.

Comparison with program in the driver

1) To compare driver program with the data being edited,

click [Comparison]->[Comparison to driver] buttons.

2) Comparison results appear in the "Comparison results: List of differences" format.

* For the comparison source setting value, the value that reflects the position decimal point unit set when the comparison is executed appears.

For the comparison target setting value, the value that reflects the position decimal point unit set in the driver appears.

Comparison with the file

1) To compare the specified file with the data being edited,

click [Comparison]->[Comparison to file] buttons.

2) The [Open file] window appears.

3) Select the file to be compared and click the [Open(O)] button.

4) Comparison results appear in the "Comparison results: List of differences" format.

* If the program referencing the value of P161: Position decimal point unit selection is the comparison target

For the comparison source setting value, the value that reflects the position decimal point unit set when the comparison is executed appears.

For the comparison target setting value, the value that reflects the position decimal point unit saved in the file appears.

Output of the comparison result

1) Output to the file

Clicking the [CSV output] button enables the differences to be output to the CSV file.

2) Printing

Clicking the [Print] button in the state in which differences exist enables the differences to be printed.


3.7.6. Opening the file

To open the saved programs, do as follow:

1) To open the program from the main tool bar

1. Click [File(F)]->[Open]->[Program] from the main tool bar.

2. The Open file dialog appears. Select the program file to be opened and click the [Open] button.

2) To open the program from the program editing window

1. Click [Open] on the program editing window.

2. The Open file dialog appears. Select the program file to be opened and click the [Open] button.

Note

The extension that can be selected from Files of type depends on the driver.

* For details, see "6.1. File extension list".

By dropping an appropriate program data file to this window, you can open the program data file.

* For information about appropriate files, see "6.2. Dropping files".


3.7.7. Saving the program in the file

To save the program on the program editing window in a file, overwrite it for the same file name. Alternatively, specify a new file name for saving.

1) To overwrite the program for the same file name,

click the [Save] button from the menu bar.

2) To save the program by specifying a new file name,

click the [Save As] button from the menu bar.


3.7.8. Printing

To print the program on the program editing window,

click the [Print] button from the menu bar.

1) If programs are selected, the following message appears.

1. Specify a print range.

1) To print the entire range

1. Select [All print].

2. Click the [OK] button.

2) To specify a print range and print that range

1. Select [Select print].

2. Click the [OK] button.

2. The Print window is displayed.

1) To print, set each item and click the [Print] button.

2) To cancel printing, click the [Cancel] button.

2) If no programs are selected, the entire range is printed.


3.7.9. Closing the window

To close the program editing window being displayed, click the [Close] button or click the [x] button.

If the above processing is performed with the program changed, the following confirmation message appears.

To close the window, click [OK]. To cancel it, click [Cancel].

* The confirmation message does not appear if the program is saved with [Save] or [Save As].


3.8. Exchanging batch data

Parameters, indirect data, and program data are collectively sent to or received from the driver and are saved as batch data.

1) For sending, select

[File(F)]->[Batch data]->[Send] from the menu bar.

2) For reception, select

[File(F)]->[Batch data]->[Receive] from the menu bar.

The exchange file extension is [*.c*adb].

For details, see "6.1. File extension list".

Note

1) No batch data can be exchanged during exchange of parameters, programs, or indirect data.

2) No batch data can be exchanged while the window having State indication, Analysis function, Adjustment function, and Remote operation tabs of the main tool bar are displayed.

3) No batch data can be received if no motor is set.

Set a motor again in the Driver/Motor selection window, and retry receiving batch data.

4)In Version 2.2.0 and later, the value of the FB filter setting method selection can be transmitted and received.

For this reason, when the received data is saved, the value of the FB filter setting method selection is retained in the saved file and set in the driver at the time of batch data transmission.


3.9. Oscilloscope window

This window graphically displays, in real time, the selected driver data.


3.9.1. Displaying the window

To measure with the oscilloscope, display the Oscilloscope window with the procedure below.

To display this window, select

the [Analysis function] tab->[Oscilloscope] from the main tool bar.


3.9.2. Status display of the driver

Always I will display the following device status.

No | Item
C012 | Thermal trip rate of motor
C014 | Thermal trip rate of driver
C018 | Regenerative overload factor

The state is expressed in the color.

Color | State
Green | Normal
Yellow | Attention
Red | Danger


3.9.3. Oscilloscope setting

If you click [Oscilloscope Setting] in the Oscilloscope window, the Oscilloscope Setting window is displayed.

Selection of a channel to display, display setting, and settings of measurement and trigger can be performed in the Oscilloscope Setting window.

1) Selection of channel to display

Check the channel to display in the [CH effective selection (CH1-CH4)] check boxes.

Note

If the check is removed from CHs, measurement data of all zeroes is set.

2) Setting data when control information (speed command, torque command, position deviation pulse, etc.) is displayed

1. From the [Display item] combo box of the CH1 to CH3 setting frame, select the control information item (speed command, torque command, position deviation pulse, etc.) that you want to display.

2. Set the maximum memory value of the Y axis for graph display in the [Display maximum value] data input area.

3. Speed unit can be switched if [Speed feedback], [Speed command], [Analog speed command input], or [Position command target speed] is selected on the [Display item] combo box in the CH1 to CH3 setting frame. From the [Unit] combo box, switch to %óspeedórpm.

4. Torque unit can be switched if [Actual torque command], or [Analog torque command] is selected on the [Display item] combo box in the CH1 to CH4 setting frame. From the [Unit] combo box, switch to %óNm (N).

3) Setting data for long/word device monitor

1. From the [Display item] combo box of the [CH1 setting]-[CH3 setting] frame, select long device monitor or word device monitor.

2. From the [Device number] combo box, select the device to be used.

3. You can select D or R as the device from this combo box.

4. Set a device number in the [Device number] data input area.

5. Set the maximum memory value of the Y axis for graph display in the [Display maximum value] data input area.

6. It is possible to set the device name in [Device name] area without any restrictions. The device name set will be displayed in graph example and print window.

4) Setting data for state indication

1. From the [Display item] combo box of the CH1 to CH3 setting frame, select state indication.

2. From the [State item] combo box, select the item to be used.

5) Setting data when the input/output signal status is displayed

1. From the [Display item] combo box of the CH1 to CH4 setting frame, select the type of signal.

2. From the [Signal item] combo box, select the signal to be used.

6) Setting a data resolution

1. From the [Data resolution] combo box, select a sampling time per data of the time axis (X axis).

2. Data resolution (msec) will vary in the range of the following by the device and parameter settings.

Min measurement interval | 0.2 | 0.4 | 0.8 | 1.6 | 3.2
Max measurement interval | 0.4 | 0.8 | 1.6 | 3.2 | 6.4

7) Setting a measurement time

1. From the [Measurement time] combo box, select an oscilloscope measurement time.

2. You can select 1, 2, 5, 10, 20, 50, or 100 (seconds), or Infinity as the measurement time.

8) Setting logging

1. Select the [Logging effective] check box.

2. When a dialog box for file storage is displayed, set where to store the log file and the file name.

3. If the [Logging effective] check box is selected (ON), you can change the log file with the [Log file name field] and the [Log file setting] button.

4. The log file extension is [*.cxlog]. A log file is created every 60 seconds and log file names are assigned serial numbers.

9) Trigger setting

A trigger can be set when a measurement time other than Infinity is selected from the [Measurement time] combo box.

1. To enable trigger setting, select the [Trigger effective] check box.

2. In the case of continuously triggering, choose [Normal trigger].

In the case of trigger once, choose [Single trigger].

In [Normal Trigger], every time the trigger is, to get the measurement time period data, and re-display the graph.

However, within the measurement time from after the trigger generation it does not take the next trigger.

3. Select the channel to be triggered from [Trigger object].

4. If a channel other than the ON/OFF signal is to be triggered, set a trigger threshold in [Trigger threshold].

5. Set the delay time (length to display the waveform after the trigger timing) from when the trigger occurs in [Trigger delay time].

Display range of the measured data when you set [Trigger delay time] is as follows.

Example 1) When the [Measurement time] is10sec and [Trigger delay time] is 2sec

The measurement data of measurement time, after 2sec from the trigger timing (shaded area), is displayed.

Example 2) When the [Measurement time] is10sec and [Trigger delay time] is -2sec

The measurement data of measurement time, before 2sec from the trigger timing (shaded area), is displayed.

6. In the selection of [ON] or [OFF], and then select the edge of the trigger detection.

10) Oscilloscope configuration settings

Click the [Setting] button to register each information set and return to the Oscilloscope window.

The contents set in the oscilloscope setting are displayed in the status bar at the bottom of the Oscilloscope window.

Note

If the display items that can not be used in driver in the connection has been set, the following message appears.

Please change the display item.

Receive data from the device because of the 16bit data, if set a value greater than 32767 to Display maximum value, display data is displayed in a stepwise manner.

Example 1)

Display item: Positional deviation

Display maximum value: 16,000,000 [pulse]

1 data resolution of the case of the

16,000,000 / 32767 ≈ 488 [pulse]

If the driver had a position deviation of 1,000,000 [pulse], to display and 1,000,031 [pulse].

Example 2)
Display item: Speed feedback
Display maximum value: 1,800.000 [deg / sec]
1 data resolution of the case of the
1,800,000 / 32767 ≈ 0.055 [deg / sec]
360.000 [deg / sec] If you have been operating in, it displays 359.978 [deg / sec].


3.9.4. Display items

The display items that can be set with Oscilloscope Setting are listed below.

Display item name | Description
Speed feedback | Displays the actual operation speed of motor.
Actual torque command | Displays the actual torque command value.
Position deviation | Displays the position deviation pulse.
Speed command | Displays the speed command value. Effective in speed command mode, pulse train command mode, built-in command mode, as well as with the speed command and the positioning command from the network. Of the speed-related commands, last command value containing S-curve and deviation.
Analog speed command | Displays the analog speed command value. The item appears only for the VPH-HA driver. For a driver without an analog option, the value is fixed to 0.
Analog torque command | Displays the analog torque command value. 100% at the motor rated torque. The item appears only for the VPH-HA driver. For a driver without an analog option, the value is fixed to 0.
Position command target speed | Displays the target speed for the positioning command. Effective in pulse train command mode and built-in command mode, as well as with the positioning command from the network. Command value not containing S-curve or deviation.
Motor effective value | Displays the motor effective value (load factor).
Thermal trip rate of motor | Displays the thermal trip rate of motor. When it is 100%, "Motor overload error" is detected.
Pulse train command speed | Displays the pulse train command speed. Effective in pulse train command mode and with the positioning command from the network. Displays raw values at 1-ms intervals. Command value not containing S-curve or deviation. * Depending on the VPH driver version, measurement may not be possible.
Long device monitor | Displays the specified device value as a long device.
Word device monitor | Displays the specified device value as a word device.
State indication selection | Displays the selected state indication item.
Input signal selection | Displays the selected input signal status.
Output signal selection | Displays the selected output signal status.


3.9.5. Setting a display scale

1) Setting a time (X) axis

1. From the [Time scale] combo box, select the time displayed in one window.

2. You can select 0.05, 0.1, 0.2, 0.5, 1, 2, 5, 10, 20, or 50 seconds as the time scale.

2) Setting a display data range (Y) axis

1. For a numerical display item, select the numerical data range to be displayed in one window from the [Scale] combo box. A 100% numerical value means the display max. value set in the Oscilloscope Setting window.

2. For a signal display item, select a display position when a signal is OFF from the [Offset] combo box. A 0% offset display position means the center of the Y axis.

3. You can select 0.1, 0.5, 1, 5, 10, 25, 50, or 100 (%) as the scale.

4. You can select -80, -60, -40, -20, 0, 20, 40, 60, or 80 (%) as the offset.


3.9.6. Starting/stopping real time display

1) To start real time display of the oscilloscope, click the [Start] button. The [Start] button changes to the [Stop] button during real time display.

2) Clicking the [Stop] button stops real time display.

3) When real time display is stopped, the measuring waveform is displayed as follows:


3.9.7. Graph setting

When you right-click the mouse in the [Scale] or [Offset] setting area in the Oscilloscope window, the Graph Setting window is displayed.

In the Graph Setting window, selection of the color of the channel to display, the sequence of drawing, cursor color setting, and the setting of the color of trigger threshold line can be performed.

1) Line color setting of measurement graph

The line color of measurement graph for each channel is displayed for each color selected in the [Line color CH1]-[Line color CH4] combo box.

2) Drawing order setting

Select the channel you want to change the drawing order from the list of channel selection, and then change the order by [Move to front] and [Move to rear].

3) Cursor color setting

The cursor is displayed in each color selected in the [Cursor A color] or [Cursor B color] combo box.

4) Setting of the color of trigger threshold line

The line is displayed in the color selected in the [Trigger] combo box.


3.9.8. Setting the cursors

1) Setting the cursors

1. Click the [A] or [B] button. The characters displayed in the information display field corresponding to the selected cursor (A/B) change to boldface. [A] or [B] is exclusively selected.

2. Clicking the [A] button again with cursor A selected deselects cursor A. This is just as is the case with cursor B.

2) Setting the channels

1. Select a channel button ([CH1] to [CH4]). The selected channel is associated with a cursor line.

2. The button color of the currently selected channel is changed.

3) Displaying cursor information

1. Information for time and CH1 to CH4 at the position where cursor A or B is currently displayed is displayed in the information display field corresponding to the cursor.

2. Differences in values between the [A] and [B] points are displayed in the [Difference] field.

3. The minimum and maximum values between [A] and [B] points are displayed in the [A-B Min] and [A-B Max] fields.

4) Moving the cursor

1. Clicking any point in the window displays a cross-hair cursor at the point.

2. Clicking LeftButton or RightButton enables you to minutely adjust the cursor position. Clicking the mouse continuously moves the cursor automatically.

3. Clicking paraMoveButton with cursor A or B displayed switches it to paraMoveButtonPushed. Clicking LeftButton or RightButton in this status moves cursors A and B simultaneously and parallelly.

Note

In case display items that are not available in the connected devices has been set when the start button is cliked, the following message will be displayed.

Click [OK] button, the oscilloscope setting window will be displayed, then change the display item.


3.9.9. Calculating load factor

To display the load factor, conduct "torque command" measurement. Specify cursors A and B. Then, click the Load factor calc. button.

Note

If cursor A or B is not specified, the following message appears.

If torque data is not measured, the following message appears.

If set the "torque command" to more than one channel, to calculate the small channel load factor of the most numbers.

(Example: If select the "Actual torque command" to all channels, to calculate the load factor using the value of CH1)


3.9.10. Setting an oscilloscope display item again

If you want to change the display item, carry out the channel settings by clicking the [Oscilloscope Setting].


3.9.11. Opening the file

This window is used to display the oscilloscope data saved with the oscilloscope function of this software.

1) To open the data from the main tool bar

1. Click [File(F)]->[Open(O)]->[Oscilloscope data(O)] from the main tool bar.

2. The Open file dialog appears. Select the oscilloscope data file to be opened and click the [Open] button.

3. Loading will display the following screen.

Note

The extension that can be selected from Files of type depends on the driver.

* For details, see "6.1. File extension list".

By dropping an appropriate oscilloscope data file to this window, you can open the oscilloscope data file.

* For information about appropriate files, see "6.2. Dropping files".

The graph is displayed in the time axis that is saved.

The cursor position and scroll position are saved in a file that has been saved in Version 2.2.0 or later. Opening the file restores the cursor position and scroll position.

When you open a file that has been saved with VPH Data Editing Software of Version 2.1.0 or earlier, the cursor position and scroll position are not restored.

Function restrictions

If saved oscilloscope data is displayed, the following functions are disabled.

1. Oscilloscope measurement

2. Functions in oscilloscope settings other than CH effective selection and unit conversion


3.9.12. Saving oscilloscope data in a file

To save the oscilloscope data displayed in this window in a file,

1)click the [Save as] button from the menu bar.

2) If the cursor of A and B is displayed, you can choose how to save.

Note

Data for up to 300 [sec] can be saved.

If data is saved in csv format, the unit related data that is currently displayed is output.

Depending on the setting of Display maximum value and the calculation error, integer data may become data with a decimal point.


3.9.13. Printing

To print the displayed oscilloscope data,

click the [Print] button from the menu bar.

When the Print window is displayed, set each item and click the [OK] button.

Note

[A4] or [A3] can be specified as the paper size. [Portrait] or [Landscape] can be specified as printing mode. Data is actually printed in [A4] size and [Portrait] mode.


3.9.14. Closing the window

To close the Oscilloscope window being displayed, click the [Close] button or click the [x] button.


3.10. Frequency spectrum window

This window is used to measure a frequency spectrum and graphically display the measured frequency spectrum data in real time.


3.10.1. Displaying the measuring window

To display this window, click

the [Analysis function] tab->[Frequency spectrum] from the main tool bar.


3.10.2. Setting measurement

1) Setting a measurement target

1. From the [Measurement] combo box, select a measurement target.

2. You can select Speed or Torque as the measurement target.

2) Setting a frequency

1. From the [Frequency] combo box, select a measuring frequency.

2. Measuring frequency (Hz) will vary in the range of the following by the device and parameter settings.

Max measurement interval | 10000 | 5000 | 3333 | 2500 | 2000
Min measurement interval | 2500 | 1250 | 833 | 625 | 500

Note

Depending on the operation performance of your personal computer (OS and processing time), the frequency spectrum may be unable to be measured at the set frequency. In this case, lower the measuring frequency.

Following message will be shown if the frequency is different from the connecting driver when changing [Frequency] combo box.

Graph and frequency will be reset by clicking [OK] button is clicked.

Graph and frequency will remain same by clicking [Cancel] button.


3.10.3. Setting window display control

1) Setting an amplitude

1. Select an amplitude display scale of a Y-axis measurement target (speed/torque) from the [Amplitude] combo box.

2. Select Auto, 1, 2, 3, 4, 5, 10, 20, or 50% (or dB) as the amplitude.

2) Setting line color, back view, and line width

1. Select line color from the [Line color] combo box. Select back view from the [Back view] combo box. Select line width from the [Line width] combo box.

2. Select [Red], [Green], [Blue], [Orange], [Cyan], or [Magenta] as line color.

3. Select [White] or [Black] as back view.

4. Select [Thin line], [Thick line], or [Thick yarn line] as line width.

3) Setting display targets

1. Select a measurement result display method from the [Screen switching] combo box.

2. Select [Linear] or [Logarithm] as the display method.

3. If [Linear] is selected, rated speed or rated torque is displayed in % with respect to 100%.

4. If [Logarithm] is selected, rated speed or rated torque is displayed in decibel in the form it was normalized to [1].

If you set [Screen switching] to [Logarithm], the following window appears.


3.10.4. Starting/stopping frequency spectrum measurement

1) To start frequency spectrum measurement, click the [Start] button. The [Start] button changes to the [Stop] button during frequency spectrum measurement.

2) Clicking the [Stop] button stops frequency spectrum measurement.

3) When frequency spectrum measurement is stopped, a measuring waveform is displayed as shown in the window below. At the same time, cursor A is automatically set at the highest amplitude point in a frequency area above [Notch filter minimum frequency].


3.10.5. Setting the cursors

1) Setting the cursors

1. Click the [A] or [B] button. The characters displayed in the information display field corresponding to the selected cursor (A/B) change to boldface. [A] or [B] is exclusively selected.

2. Clicking the [A] button again with cursor A selected deselects cursor A. This is just as is the case with cursor B.

3. If you set the cursor setting method to [image] , orange lines appear on the frequencies before and after the click position. The cursor is moved to the highest frequency in the range indicated by these orange lines.

The window in which the cursor is set is shown below.

4. If you set the cursor setting method to [image] , the cursor is moved to the frequency you click.

The window in which the cursor is set is shown below.

2) Moving the cursors

1. Clicking any point in the window displays a cross-hair cursor at the point. Cursor A is displayed in green. Cursor B is displayed in cyan. (However, if cursors overlap or if a cursor overlaps a display waveform or an axis line, the color changes temporarily.)

2. Clicking LeftButton or RightButton enables you to minutely adjust the cursor position. Clicking the mouse continuously moves the cursor automatically.

3) Displaying cursor information

1. Information for frequency and speed or torque at the position where cursor A or B is currently displayed is displayed in the information display field corresponding to the cursor.

2. Differences in values between the [A] and [B] points are displayed in the [Difference] field.

The window in which the cursors are set is shown below.


3.10.6. Setting notch filters

Setting notch filters in this window is coupled with setting cursors in the preceding section.

1) Reading notch filter setting values

1. When this window is displayed, information for the notch filters set in the connected driver is displayed.

2. Clicking the [Receiving] button in the Notch filter frame reads and displays the notch filter information set in the connected driver.

2) Calculating notch filters

The following two methods are available for calculating the notch filters.

1. If you set only cursor A or cursor B

Central frequency: The frequency at the cursor position is set as the central frequency.

Bandwidth ratio: The value set for the notch filter bandwidth ratio is set as the bandwidth ratio.

2. If you set cursor A and cursor B

Central frequency: The square root ( [image] ) of the frequency product displayed in [A] and [B] is set in the central frequency.

Bandwidth ratio: The quotient of dividing the bandwidth by the central frequency is converted into a percentage, and is set.

* If the value exceeds 100%, it is clamped to 100%.

Example of setting the central frequency and the bandwidth ratio when cursors A and B are set

Cursor | A | B | Difference
Frequency [Hz] | 500 | 1000 | -500

Calculating formula | Example
Central frequency = | 707 [Hz] =
Bandwidth = ABS(A-B) | 500 [Hz] =
Bandwidth ratio = Bandwidth ÷ Central frequency | 0.707107 = 500÷707.1068
Bandwidth ratio[%] = Bandwidth ratio × 100 | 70 [%] = 0.707107×100

3) Setting notch filters

1. Set cursors A and B.

2. Click the [Setting] button for the parameter to be filtered.

3. Set the results of calculation by setting cursors in the central frequency and bandwidth ratio fields.

4. The notch filters are set and at the same time written in the driver.

5. When the driver supports the depth setting, you can set a desired value and click the [Setting] button to set the depth.

Caution

At this time, if the set contents do not match the system, the motor vibrates heavily. Click the [Clear] button corresponding to the position where the notch filters were set to urgently release the notch filter settings.

6. If an attempt is made to set a notch filter in a frequency area below the value set in [Notch filter minimum frequency], the following message is displayed:

To go ahead with notch filter setting, click [Yes].

* You must decide whether to go ahead with notch filter setting. Carefully check the safety of your driver and then make this decision.

To cancel notch filter setting, click [No].

Usually, select [No].

7. You can set [Notch filter minimum frequency] and [Notch filter bandwidth ratio] by entering numerical values from the keyboard and pressing Enter.

(Example 1) Pointing cursor A to the position shown in the figure below and clicking the [Setting] button of each central frequency sets the notch filters as shown in the figure below.

(Example 2) Pointing cursors A and B to the positions shown in the figure below and clicking the [Setting] button of each central frequency sets the notch filters as shown in the figure below.


3.10.7. Opening the file

To open the file from the main tool bar

1) Click [File(F)]->[Open(O)]->[Frequency spectrum data(S)] from the main tool bar.

2) The Open file dialog appears. Select the frequency spectrum data file to be opened and click the [Open] button.

Note

The extension that can be selected from Files of type depends on the driver.

* For details, see "6.1. File extension list".

By dropping an appropriate frequency spectrum data file to this window, you can open the frequency spectrum data file.

* For information about appropriate files, see "6.2. Dropping files".

Function restrictions

If saved frequency spectrum data is displayed, the following functions are disabled.

1. Frequency spectrum measurement

2. Notch filter setting

3. Measurement setting change


3.10.8. Saving frequency spectrum data in a file

To save the frequency spectrum data displayed in this window in a file, select

[Save As] from the menu bar.


3.10.9. Printing

To print the displayed frequency spectrum data,

click the [Print] button from the menu bar.

When the Print window is displayed, set each item and click the [OK(A)] button.

Note

[A4] or [A3] can be specified as the paper size. [Portrait] or [Landscape] can be specified as printing mode. Data is actually printed in [A4] size and [Portrait] mode.


3.10.10. Closing the window

To close the Frequency spectrum window being displayed, click the [Close] button or click the [x] button.


3.10.11. Guide messages

The following messages are displayed during frequency spectrum measurement. Follow the instructions in the messages.

The frequency spectrum cannot be measured during oscilloscope execution.

Following message will appear if frequency is different from the connecting driver when [Start] button is clicked.

The message is displayed when an attempt is made to set a notch filter in an area below the notch filter minimum frequency (130Hz in the right window).

You must decide whether to go ahead with notch filter setting. Carefully check the safety of your driver and then make this decision.

The message is displayed when an attempt is made to set a depth for a driver which does not support the notch filter depth setting.

The message is displayed when this software cannot catch up with loading of the frequency spectrum data being received from the driver.

Display of this message depends on the measuring frequency and the operation performance (OS and processing time) of your personal computer. If you use the same computer, lower the measuring frequency and measure the frequency spectrum.


3.11. Frequency response measuring window

This window is used to measure and display a driver frequency response and to display the saved frequency response data.


3.11.1. Displaying the measuring window

To display this window, click

the [Analysis function] tab->[Frequency response] from the main tool bar.


3.11.2. Setting measurement

1) Setting of measurement gain number

Select the measurement gain number

2) Setting a measuring frequency

1. Select a measuring frequency from the [Measuring frequency] combo box.

2. Measuring frequency (Hz) will vary in the range of the following by the device and parameter settings.

Max measurement interval | 10000 | 5000 | 3333 | 2500 | 2000
Min measurement interval | 2500 | 1250 | 833 | 625 | 500

Note

Depending on the operation performance of your personal computer (OS and processing time), the frequency response may be unable to be measured at the set frequency. In this case, lower the measuring frequency.

Following message will be shown if the measuring frequency is different from the connecting driver when changing [Measuring frequency] combo box.

Graph and measuring frequency will be reset by clicking [OK] button is clicked.

Graph and measuring frequency will remain same by clicking [Cancel] button.

3) Setting a shaking width (Speed comm. quan./Offset quantity)

1. Enter a shaking width directly from the keyboard.

2. Right-clicking the [%] part displays a data area from which the shaking width can be entered.

Caution

Set the shaking width within a safe range tailored to your driver.

4) Setting shaking time

Enter shaking time directly from the keyboard. Set shaking time within the range from 1 Hz to the measuring frequency set in the above.

5) Setting an allowable max vibrating quantity

Enter an allowable max vibrating quantity directly from the keyboard.

Caution

Set the allowable max vibrating quantity within a safe range tailored to your driver.

For the Tau linear motor, in particular, take care that the valid stroke is not exceeded.

6) Setting a measuring number

Enter a total measuring number directly from the keyboard on the assumption that a shaking from 1 Hz to the set measuring frequency is once.


3.11.3. Setting display

1) Setting an amplitude

1. Select an amplitude display scale of the Y-axis from the [Amplitude] combo box.

2. Select Auto, 1, 2, 3, 4, 5, 10, 20, or 50 (dB) as the amplitude.

3. Immediately after measurement, [Auto] is set so that waveforms can be displayed in the entire window.

2) Setting a phase

1. Select a phase display scale of the Y axis from the [Phase] combo box.

2. Select Auto, 15, 30, 45, 60, 75, or 90 (deg) as the phase.

3. Immediately after measurement, [Auto] is set so that waveforms can be displayed in the entire window.

3) Setting line color, back view, and line width

1. Select line color from the [Line color] combo box. Select back view from the [Back view] combo box. Select line width from the [Line width] combo box.

2. Select [Red], [Green], [Blue], [Orange], [Cyan], or [Magenta] as line color.

3. Select [White] or [Black] as back view.

4. Select [Thin line], [Thick line], or [Thick yarn line] as line width.

4) Setting display targets

1. Select a measurement result display method from the [Screen switching] combo box.

2. You can select [Amp & Phase] and [Amplitude] as the display method.

3. If [Amp & Phase] is selected, the amplitude is displayed in the upper half of the display area and the phase is displayed in the lower half.

4. If [Amplitude] is selected, the amplitude window is displayed in the entire display area.


3.11.4. Starting/stopping frequency response measurement

1) To start frequency response measurement, click the [Start] button. The [Start] button changes to the [Stop] button during frequency response measurement.

->

2) The following window is displayed:

3) When frequency response measurement is performed by the set measuring number, it is automatically completed and the [Stop] button changes to the [Start] button.

4) When frequency response measurement is completed, at the same time cursor A is automatically set at the point where the amplitude change amount between the previous point and the current point peaks in a frequency area above [Notch filter minimum frequency].

5) If you want to urgently stop operation during frequency response measurement, click the [Stop] button again. Frequency response measurement stops urgently.

6) When frequency response measurement is completed, the following window is displayed:


3.11.5. Setting the cursors

1) Setting the cursors

1. Click the [A] or [B] button. The characters displayed in the information display field corresponding to the selected cursor (A/B) change to red. [A] or [B] is exclusively selected.

2. Clicking the [A] button again with cursor A selected deselects cursor A. This is just as is the case with cursor B.

3. If you set the cursor setting method to [image] , orange lines appear on the frequencies before and after the click position. The cursor is moved to the highest frequency in the range indicated by these orange lines.

The window in which the cursor is set is shown below.

4. If you set the cursor setting method to [image] , the cursor is moved to the frequency you click.

The window in which the cursor is set is shown below.

2) Moving the cursors

1. Clicking any point in the window displays a cross-hair cursor at the point. Cursor A is displayed in green. Cursor B is displayed in cyan. (However, if cursors overlap or if a cursor overlaps a display waveform or an axis line, the color changes temporarily.)

2. Clicking LeftButton or RightButton enables you to minutely adjust the cursor position. Clicking the mouse continuously moves the cursor automatically.

3) Displaying cursor information

1. Information for frequency and amplitude or phase at the position where cursor A or B is currently displayed is displayed in the information display field corresponding to the cursor.

2. Differences in values between the [A] and [B] points are displayed in the [Difference] field. The window in which the cursors are set is shown below.


3.11.6. Setting notch filters

Setting notch filters in this window is coupled with setting cursors in the preceding section.

1) Reading notch filter setting values

1. When this window is displayed, information for the notch filters set in the connected driver is displayed.

2. Clicking the [Receiving] button in the Notch filter frame reads and displays the notch filter information set in the connected driver.

2) Calculating notch filters

The following two methods are available for calculating the notch filters.

1. If you set only cursor A or cursor B

Central frequency: The frequency at the cursor position is set as the central frequency.

Bandwidth ratio: The value set for the notch filter bandwidth ratio is set as the bandwidth ratio.

2. If you set cursor A and cursor B

Central frequency: The square root ( [image] ) of the frequency product displayed in [A] and [B] is set in the central frequency.

Bandwidth ratio: The quotient of dividing the bandwidth by the central frequency is converted into a percentage, and is set.

* If the value exceeds 100%, it is clamped to 100%.

Example of setting the central frequency and the bandwidth ratio when cursors A and B are set

Cursor | A | B | Difference
Frequency [Hz] | 500 | 1000 | -500

Calculating formula | Example
Central frequency = | 707 [Hz] =
Bandwidth = ABS(A-B) | 500[Hz] =
Bandwidth ratio = Bandwidth ÷ Central frequency | 0.707107 = 500÷707.1068
Bandwidth ratio[%] = Bandwidth ratio × 100 | 70 [%] = 0.707107×100

3) Setting notch filters

1. Set cursors A and B.

2. Click the [Setting] button for the parameter to be filtered.

3. Set the results of calculation by setting cursors in the central frequency and bandwidth ratio fields.

4. The notch filters are set and at the same time written in the driver.

5. When the driver supports the depth setting, you can set a desired value and click the [Setting] button to set the depth.

Caution

At this time, if the set contents do not match the system, the motor vibrates heavily. Click the [Clear] button corresponding to the position where the notch filters were set to urgently release the notch filter settings.

6. If an attempt is made to set a notch filter in a frequency area below the value set in [Notch filter minimum frequency], the following message is displayed:

To go ahead with notch filter setting, click [Yes].

* You must decide whether to go ahead with notch filter setting. Carefully check the safety of your driver and then make this decision.

To cancel notch filter setting, click [No].

Usually, select [No].

7. You can set [Notch filter minimum frequency] and [Notch filter bandwidth ratio] by entering numerical values from the keyboard and pressing Enter.

(Example 1) Pointing cursor A to the position shown in the figure below and clicking the [Setting] button of each central frequency sets the notch filters as shown in the figure below.

(Example 2) Pointing cursors A and B to the positions shown in the figure below and clicking the [Setting] button of each central frequency sets the notch filters as shown in the figure below.


3.11.7. Opening the file

To open the file from the main tool bar

1) Click [File(F)]->[Open(O)]->[Frequency response data(R)] from the main tool bar.

2) The Open file dialog appears. Select the frequency response data file to be opened and click the [Open] button.

Note

The extension that can be selected from Files of type depends on the driver.

* For details, see "6.1. File extension list".

By dropping an appropriate frequency response data file to this window, you can open the frequency response data file.

* For information about appropriate files, see "6.2. Dropping files".

Function restrictions

If saved frequency response data is displayed, the following functions are disabled.

1. Frequency response measurement

2. Notch filter setting

3. Measurement condition change


3.11.8. Saving frequency response data in a file

To save the frequency response data displayed in this window in a file,

click the [Save As] button from the menu bar.


3.11.9. Printing

1) To print the displayed frequency response data,

click the [Print] button from the menu bar.

2) When the Print window is displayed, set each item and click the [Print] button.

Note

[A4] or [A3] can be specified as the paper size. [Portrait] or [Landscape] can be specified as printing mode. Data is actually printed in [A4] size and [Portrait] mode.


3.11.10. Closing the window

To close the Frequency response measuring window being displayed, click the [Close] button or click the [x] button.

Clicking the button may display the following window:


3.11.11. Guide messages

The following messages are displayed during frequency response measurement. Follow the instructions in the messages.

The message is displayed when this software cannot catch up with loading of the frequency response data being received from the driver.

Depending on the operation performance of your personal computer (OS and processing time), the frequency response may be unable to be measured at the set frequency. In this case, lower the measuring frequency.

The message is displayed if an error occurs when shaking is being performed in the driver.

Change the shaking width and allowable max vibrating quantity, etc., and then measure the frequency response again.

Following message will be shown if the measuring frequency is different from the connecting driver when changing [Measuring frequency] combo box.

The message is displayed if an error occurs when a notch filter value is being received from the driver.

Confirm whether USB communication is possible.

The message is displayed when an attempt is made to set a notch filter without the cursors set. Set the cursors.

The message is displayed when an attempt is made to set a depth for a driver which does not support the notch filter depth setting.


3.12. State indication window

This window displays an alarm history, driver status, driver information, encoder infomation, and motor infomation etc.


3.12.1. Displaying the State indication window

To display this window, click

the [State indication] tab->[State indication] from the main tool bar.


3.12.2. State information

1) To display operation information, select the State tab.

2) The current values of items are displayed in the [Data] display field.

3) The current units of items are displayed in the [Unit] display field.

4) Clicking the Clear button displays the following confirmation message:

To clear the data of the target item, click the [OK] button.

To cancel data clearing and redisplay the original window, click the [Cancel] button.

5) You can display the state on a group basis by clicking the group selection button.

The next window is the display contents when the [Position] group is selected.

6) By selecting the [User custom] group, you can change the order of display and hide the unnecessary items.

Click the [ [image]] button to move the item to bottom by selecting item you wish to move.

Click the [ [image]] button to move the item to top by selecting item you wish to move.

To hide an item, select the item you want to hide, and click the [Invisible] button.

To return to the initial state, click the [Initial display] button.


3.12.3. Alarm information

1) To display alarm information, select the Alarm tab.

2) The current values of items are displayed in the [Data] display field.

3) If click the [List] button to display the alarm warning list will be in the window.

Also, it will display the alarm details in the alarm warning list window by right-click.

4) Clicking the [Clear alarm] button displays the following confirmation message:

To clear alarm information, click the [OK] button.

To cancel alarm information clearing and redisplay the original window, click the [Cancel] button.


3.12.4. Displaying driver information

1) To display driver information, select the Driver info tab.

2) The current values of items are displayed in the [Data] display field.

3) The current units of items are displayed in the [Unit] display field.


3.12.5. Displaying encoder information

1) To display encoder information, select the Encoder info tab.

2) The current values of items are displayed in the [Data] display field.

3) The current units of items are displayed in the [Unit] display field.

Note

If connect a driver that does not correspond to the display of the encoder info, the following message appears, Encoder info tab is hidden.

If connect a driver that corresponds to the encoder info, the following message appears, Encoder info tab appears.


3.12.6. Displaying motor information

1) To display motor information, select the Motor info tab.

2) The current values of items are displayed in the [Data] display field.

3) The current units of items are displayed in the [Unit] display field.

* Depending on the motor, no such information is available, in which case, no items appear on the Motor info tab.

Note

If a driver that does not support the display of motor information is connected, the following message appears, and the Motor info tab is hidden.

If a driver that supports motor information is connected, the following message appears, and the Motor info tab appears.


3.12.7. Closing the window

To close the State indication window being displayed, click the [Close] button or click the [x] button.


3.13. Input/Output signal condition display window

This window displays the input/output signal conditions.


3.13.1. Displaying the Input/Output signal condition display window

To display this window, click

the [State indication] tab->[Input/output display] from the main tool bar.


3.13.2. Displaying the input/output signal conditions

1) The current conditions of the input/output signals are displayed.

2) [On] signals are displayed in blue.

3) Moving the mouse cursor to a signal symbol displays the signal name.


3.13.3. Closing the window

To close the condition display window being displayed, click the [x] button.


3.14. Remote operation window

In this window, you can perform remote operation by operating input/output signals with this software.


3.14.1. Displaying the Switch BOX window

To display this window, click

the [Remote operation] tab->[Switch box] from the main tool bar.

For the contents of signals in this window, refer to the Operation Manual of the driver.


3.14.2. Displaying the output signal status

The output signal status is displayed in real time.

(When the signal is on: Green, red/when the signal is off: Back view)


3.14.3. Turning on/off input signals

To turn on/off an input signal, operate each button, tab (speed control mode and others), and list box (SS1-3).

1) Normal input signal button

SwitchBoxButton | Display | Normal font
 | Action | Click: ON/OFF switching Right-click: ON/OFF switching

2) Momentary input signal button

SwitchBoxButton | Display | Italic font
 | Action | Button pressed state: ON Button released state: OFF Right-click: ON/OFF switching

Caution

Operation of input signals may cause the motor to operate. Carefully confirm the safety of the motor and then operate the signals.


3.14.4. Closing the window

To close the remote operation window being displayed, click the [Close] button or click the [x] button.


3.15. Real time servo adjustment window

This window is used to change Auto-tuning level adjustment and speed/position loop gain and servo adjustment parameters in real time.


3.15.1. Displaying the Real time servo adjustment window

To display this window, click

the [Adjustment function] tab->[Real time servo adjustment] from the main tool bar.

Note

In Version 2.2.0 and later, the value of the FB filter setting method selection, formerly stored in this software, is stored in the driver.

If the FB filter setting method selection has not been set for the driver when this window is opened, the following message appears.

The FB filter setting method selection is also checked when the USB cable is connected. If it is not set, this message appears.


3.15.2. Selecting a target adjustment gain

1) Select a target adjustment gain from the [Adjustment gain selection] combo box.

2) Parameters related to the selected target adjustment gain are displayed in the related parameter display/setting area.


3.15.3. Adjusting parameters

1) Adjustment with buttons

1. In the related parameter display/setting area, click each item adjustment button [?] or [?].

2. Clicking [?] increments the parameter setting value and updates the parameter in real time.

3. Clicking [?] decrements the parameter setting value and updates the parameter in real time.

4. By the increment amount adjustment radio button, you can change an increment/decrement amount by clicking [?] and [?].

2) Adjustment with the keyboard

You can set a value directly from the keyboard.

The setting value is confirmed when you press the [Enter] key.

If you enter an invalid setting value, a message appears, and the setting value is returned to the immediately preceding one.

If you enter an out-of-range value

If you enter a non-numerical value

Note

While you are holding down the gain adjustment button [?] or [?], the value keeps incrementing or decrementing.

When confirmed, a setting value is displayed in red.

To confirm a setting value, press the [Enter] key.

3) Interlock with low speed gain (Step3)

1. Check the Interlock with low speed gain (Step3) check box.

2. If you confirm Step1 (interlock source parameter), Step3 (interlock target parameter) is changed.

Step1 | Step3
Speed loop proportional gain | Low speed loop proportional gain
Speed loop integral time constant | Low speed loop integral time constant
Speed loop derivative time constant | Low speed loop derivative time constant
Speed loop proportional gain distribution factor | Low speed loop proportional gain distribution factor
Position loop gain | Low speed position loop gain
Position loop derivative time constant | Low speed position loop derivative time constant


3.15.4. Setting of inertia

If the inertia value is changed, the following confirmation message will be displayed.

Click [OK] to set the current inertia value to the parameters of the driver.

Click [Cancel] to cancel the setting of parameters.


3.15.5. Setting of viscous friction

If the value of the [Viscous friction] is changed, the following confirmation message will be displayed.

Click [OK] to set the current viscous friction values to the parameters of the driver.

Click [Cancel] to cancel the setting of parameters.


3.15.6. FB filter setting

1) When this window is opened, the USB cable is connected, or [ [image]] is clicked, the value of the FB filter setting method selection is received and reflected on the FB filter setting method selection.

2) If you set [FB filter setting method selection] the combo box to [Manual], it is possible to manually set [FB filter order] and [FB filter frequency].

3) If you set the [FB filter setting method selection] combo box other than [Manual], it will automatically perform FB filter processing and automatically update [FB filter order] and [FB filter frequency].

Also, it will update when auto tuning level adjustment is done in this condition as well.

4) If you click the [Update] button, the value of the FB filter setting method selection is transmitted to the driver.


3.15.7. Returning parameters to values before adjustment

Clicking [ [image]] displays the following confirmation message:

If you click [Yes], the parameters and the FB filter setting method selection are returned to the settings before adjustment.

If you click [No], the returning of the parameter to the settings before adjustment is canceled.


3.15.8. Updating parameters

Clicking the [Update] button displays the following confirmation message:

If all setting values have been confirmed

If you click [OK], the current gain setting values and the value of the FB filter setting method selection are transmitted to the driver.

To cancel parameter setting, click [Cancel].

If there are any unconfirmed (red) setting values

Confirm the red setting values (press the Enter key), and click the [Update] button again.


3.15.9. Closing the window

To close the Real time servo adjustment window being displayed, click the [Close] button or click the [x] button.

If you have not performed [Update] before closing the window, the following message appears.

* Even if the Real time servo adjustment window is closed without the [Update] button clicked, the parameters are already stored in the RAM area of the driver. The editing status when this window is displayed is retained till the power supply of the driver is turned off.


3.16. Auto-tuning window

Conduct auto tuning along with the operating parameter setting.


3.16.1. Displaying the window

To display this window, Click [Adjustment function] tab->[Auto tuning] from the main tool bar to display this window.

Note

In Version 2.2.0 and later, the value of the FB filter setting method selection, formerly stored in this software, is stored in the driver.

If the FB filter setting method selection has not been set for the driver when this window is opened, the following message appears.

The FB filter setting method selection is also checked when the USB cable is connected. If it is not set, this message appears.


3.16.2. Reception of operating parameters

Click the operating parameters reception button to receive the operating parameters of the driver to reflect the value to the operating parameter settings.

Note

In Version 2.2.0 and later, the value of the FB filter setting method selection, formerly stored in this software, is stored in the driver.

If the FB filter setting method selection has not been set for the driver when the operating parameters are received, the following message appears.

The FB filter setting method selection is also checked when the USB cable is connected. If it is not set, this message appears.


3.16.3. Set of operating parameters

Set the tuning gain, the movement direction, the driving ratio, the maximum torque and the inertia magnification.


3.16.4. Set of FB filter

If FB filter setting method selection is set to [Manual], it conducts the FB filter processing in the value of FB filter order and FB filter frequency.

If FB filter setting method selection is other than [Manual], it will automatically conduct FB filter processing.


3.16.5. The start of the auto-tuning

When you click the Start button, it will start the auto tuning by the parameters set for the operating parameters.

The auto tuning results are displayed in the status.


3.16.6. View Details

If you click on the [image] in the upper-right corner of the window, you will see the expected value of motor status and the auto-tuning result.

For VPH-HB, VPH-HD, and VPH-HE drivers, the expected value of motor status in deg or mm units are additionally displayed.

If it is not possible to communicate with a VPH driver, the expected value of motor status is "---".

VPH-HA driver and VPH-HC driver

VPH-HB driver, VPH-HD driver, and VPH-HE driver


3.16.7. Closing the window

To close the positioning auto-tuning window being displayed, click the [Close] button or click the [×] button.

If you have executed auto-tuning, the following message appears.


3.17. Test run window

This window is used to execute test run.


3.17.1. Displaying the Test run window

To display this window, select the [Adjustment function] tab->[Test run] from the main tool bar.


3.17.2. Setting a motion

Item name | Setting range | Description
Start position spec | Invalid, ABS, INC | You can select the operation start position method.
HCP limit | HCP limit, No limit | It will be shown only when [Start position spec] is [ABS]. For [HCP limit], it is unable to conduct test run unless zero return is not completed. For [No limit], test run can be done even if zero return is not completed.
Operation start position | -2147483648 to 2147483647 [P161] | Specify the motor operation start position. The unit and position of decimal point depend on the setting values in P161.
Operation start movement Speed | 0 to 300000000[P161/sec] | Set a motor operation start movement speed. The unit and position of decimal point depend on the setting values in P161.
Direction of operation | Forward, Reverse, Both | You can select the motor operation direction.
Moving amount | -2147483648 to 2147483647 [P161] | Set a motor moving amount. The unit and position of decimal point depend on the setting values in P161.
Speed | 0 to 300000000[P161/sec] | Set a motor operation speed. The unit and position of decimal point depend on the setting values in P161.
Stop time | 0.000 to 999.999[s] | Set the stop time from the completion of positioning to the start of the next positioning.
SEL selection | SEL.0, SEL.1, SEL.2, SEL.3, SEL.4, SEL.5, SEL.6, SEL.7 | The motor operates with the acceleration/deceleration time of a selected SEL.
Acceleration time | -9.9 to 99999.9[ms] | Set the motor acceleration time of a selected SEL.
Deceleration time | -0.0099 to 99.9999[ms] | Set the motor deceleration time of a selected SEL.
S-curve time 1 | -9.9 to 1000.0[ms] | Set the motor S-curve time of a selected SEL.
S-curve time 2 | -9.9 to 1000.0[ms] | S-curve time 2 is further set to motor acceleration-and-deceleration time and S-curve time 1.

Note

If the simultaneous setting check box of the S-curve time 1 was a test run operation in the state of OFF, you will see the following message when you change the SEL selection.

When you click the [Yes] button, set the value of the S-curve time 1 to the driver.

When you click the [No] button to change the SEL selection.

When [Start position spec] is [ABS] and [HCP limit], following message will appear if test run is conducted.


3.17.3. Setting the operation to perform when USB communication is cut off

Item name | ON/OFF | Description
USB communication disconnection | ON | Test run continues even if USB communication is cut off during test run.
 | OFF | Test run is stopped if USB communication is cut off during test run.
Sycle stop | ON | Returning to the operation start position to stop the test run operation.
 | OFF | At the current position, it will stop the test run operation.


3.17.4. Starting/stopping test run

Caution

Executing this function operates the motor. Carefully confirm the safety of the motor and then execute this function.

1) Clicking the [Start] button displays the following message:

2) During operation, the status is updated at fixed intervals.

Any of the test run status information is displayed in Status.

Status | Meaning
RUNNING[number-of-runs] | Test run is being executed
CYCLE STOP RUNNING[number-of-runs] | Cycle stop running
STOP[number-of-runs] | Test run is stopped in the middle
ALARM STOP[number-of-runs] alarm-name | An alarm stop occurred Alarm name
WARNING STOP[number-of-runs] | An warning stop occurred
FORCED STOP[number-of-runs] | A forced stop occurred
USB CLOSE | USB communication with the driver is disabled

3) If stopping operation

1. If you click the [Cycle stop] button, test run will stop at the cycle stop. (If the [Cycle stop] of [Stop setting] is ON only)

2. If you click the [Deceleration stop] button, test run is stopped with deceleration stop.

3. If you click the [Quick stop] button, test run is stopped with quick stop.

4. If you press the [Esc] key, test run is stopped with quick stop.


3.17.5. Display of an operating state

A click of [image] in the upper right of a window will display an operating state.

An operating state can be made undisplayed if it clicks [image].

The contents of a display of an operating state are as follows.

Item name | Description
Current Position | Displays the current position (C021) for the motor.
Positioning target position 1 | Displays the next positioning target position.
Positioning target position 2 | Displays the next positioning target position for the positioning target position 1.
Speed | Displays the actual motor operation speed (C001).

In the direction of operation, a yellow arrow is displayed according to the direction of a motor of operation.

State | Tau DISC |  |  | Tau Linear
 | Both | Forward | Reverse | Both | Forward | Reverse
Initial display |  |  |  |
Stopped |  |  |  |  |  |
Operation of forward direction |  |  |  |  |  |
Operation of reverse direction |  |  |  |  |  |

Note

The judgement is made by SZ signal while motor is moving or stopped.

Please set SZ signal speed range (P651) less tha motor operation speed when the yellow arrow is not displayed even if motor is moving.

Display of moving direction can be reversed by following setting:

Item name | Explanation
Normal setting | Displays the moving direction of the motor.
Special setting | Reversing displays the moving direction of the motor.


3.17.6. Additional display with VPH drivers

For VPH-HB, VPH-HD, and VPH-HE drivers, items that are converted into "deg" or "mm" units are additionally displayed.

For the additionally displayed portions, if it is not possible to communicate with a VPH driver, the operation parameter settings are blank and the operation state is "0.00".

Items that are converted and additionally displayed are listed below.

Operation parameter setting | Operating State
Operation start position | Current Position
Operation start movement speed | Positioning target position 1
Moving amount | Positioning target position 2
Speed | Speed


3.17.6. Closing the window

To close the Test run window being displayed, click the [Close] button or click the [x] button.

If test run has been executed, the following message appears.

Note

If the simultaneous setting check box of the S-curve time 1 was a test run operation in the state of OFF, you will see the following message when you change the SEL selection.

When you click the [Yes] button, set the value of the S-curve time 1 to the driver.

When you click the [No] button to close the window as it is.


3.18. Self diagnosis window

This window is used to execute self diagnosis for the driver from your PC.

Caution

Depending on the contents of a self diagnosis item, self diagnosis may involve servo operation. Carefully confirm the safety of the servo and execute self diagnosis.


3.18.1. Displaying the window

To display this window, click

the [Adjustment function] tab->[Self diagnosis] from the main tool bar.


3.18.2. Selecting a self diagnosis item

Select a self diagnosis item from the [Diagnosis item select (DG No.)] combo box.


3.18.3. Starting/ending self diagnosis

1) To start self diagnosis, click the [Diagnosis start] button.
When self diagnosis is started, the [Diagnosis start] button changes to the [Diagnosis end] button.

2) To end self diagnosis, click the [Diagnosis end] button.
When self diagnosis is ended, the [Diagnosis end] button changes to the [Diagnosis start] button.


3.18.4. Displaying the diagnosis result

The diagnosis result at self diagnosis in progress or at self diagnosis end is displayed in the [Diagnosis contents setting/display] box.


3.18.5. Closing the window

To close the Self diagnosis window being displayed, click the [x] button.

If self diagnosis has been executed, the following message appears.


3.19. Device monitor window

This window is used to monitor the device contents.


3.19.1. Displaying the window

To display this window, click

the [State indication] tab->[Device monitor] from the main tool bar.

Outline of the window

1) [Bit] item: Enables read/write in bits (0/1).

2) [Word] item: Enables read/write in units of words (-32768 to 32767).

3) [Long] item: Enables read/write in units of long words (-2147483648 to 2147483647).

4) For [IX Device], [R Device], [D Device], and [X Device], you can directly manipulate data in the associated frames.

5) For other devices (X/R/D/IX), specifying a device type in the [Device] or [Word]/[Long] frame enables you to manipulate data.

6) The [R] button enables you to read data from the device.

7) The [W] button enables you to write data in the device.


3.19.2. Reading data

1) Enter a device number from the device number input area (1) of each frame.

A device number is increased and decreased by clicking the [?] and [?] buttons (2).

You can specify the increase/decrease amount with the increment amount adjustment combo box (3).

2) Click the [R] button (4).

3) Read-out data appears in the data area (5) in each frame.

Read-out 32-bit data is float-displayed in the floating point value display area (6).

4) The read result is displayed in the status display box (7).

(Normal end: OK is displayed, abnormal end: NG is displayed.)


3.19.3. Writing data

1) Enter a device number from the device number input area (1) of each frame.

A device number is increased and decreased by clicking the [?] and [?] buttons (2).

You can specify the increase/decrease amount with the increment amount adjustment combo box (3).

2) In the data area (4), enter the value to write.

3) Click the [W] button (5).

4) The write result is displayed in the status display box (6).

(Normal end: OK is displayed, abnormal end: NG is displayed.)


3.19.4. Real time update

1) Select the [Real time update] check box.

2) The [R] and [W] buttons are disabled.

3) The data of the specified device number is displayed in the data area and updated in real time.


3.19.5. Closing the window

To close the Device monitor window being displayed, click the [Close] button or click the [x] button.


3.20. Version info window

The version information of this software is displayed.

To display this window, click

[Help(H)]->[Version info(V)] from the menu bar.


4. Communication error

4.1. Error contents

If the following message is displayed during USB communication, check the contents displayed in the message.


5. Data import

5.1. About data import

This function imports driver/motor information to use newly added driver and motor even without version upgrade of software.

Note

The data import function corresponds with VPH Data Editing Software Version 1.0.0 or later.


5.2. Data import method

1) Click the [Data Import] button on the Driver/Motor selection window.

2) A message to restart the software is displayed. Click the [OK] button.

3) When a confirmation message for UAC (User Account Control) is displayed, click the [Yes] button.

4) Click the [Data Import] button in the restarted Driver/Motor selection window.

5) A dialog to open the file is displayed. Select the import file and click the [Open] button.

Please select a file to open_2

6) A bar where progress report is shown is displayed while processing the import.

7) The following message is displayed and data import is complete.

Note

If the data import did not end normally, the following message is displayed.


6. Appendix

6.1. File extension list

The file extensions that can be used with this software are listed below.

Name | Driver type | Motor type | Extension | Open | Save
Parameter | VPH-HA | Tau DISC | *.c0pa0 | YES | YES
 | VPH-HA | Tau linear | *.c0pa1 | YES | YES
 | VPH-HB | Tau DISC | *.c1pa0 | YES | YES
 | VPH-HB | Tau linear | *.c1pa1 | YES | YES
 | VPH-HC | Tau DISC | *.c2pa0 | YES | YES
 | VPH-HC | Tau linear | *.c2pa1 | YES | YES
 | VPH-HD | Tau DISC | *.c3pa0 | YES | YES
 | VPH-HD | Tau linear | *.c3pa1 | YES | YES
 | VPH-HE | Tau DISC | *.c4pa0 | YES | YES
 | VPH-HE | Tau linear | *.c4pa1 | YES | YES
 | ALL | ALL | *.csv | NO | YES
Program data | VPH-HA | ALL | *.c0pro | YES | YES
 | VPH-HB | ALL | *.c1pro | YES | YES
 | VPH-HC | ALL | *.c2pro | YES | YES
 | VPH-HD | ALL | *.c3pro | YES | YES
 | VPH-HE | ALL | *.c4pro | YES | YES
Indirect data | VPH-HA | ALL | *.c0ind | YES | YES
 | VPH-HB | ALL | *.c1ind | YES | YES
 | VPH-HC | ALL | *.c2ind | YES | YES
 | VPH-HD | ALL | *.c3ind | YES | YES
 | VPH-HE | ALL | *.c4ind | YES | YES
Oscilloscope data | ALL | ALL | *.cxosc | YES | YES
 | ALL | ALL | *.cxlog | YES | YES
 | ALL | ALL | *.csv | NO | YES
Frequency spectrum data | ALL | ALL | *.cxfrs | YES | YES
Frequency response data | ALL | ALL | *.cxfrr | YES | YES
Batch data | VPH-HA | ALL | *.c0adb | YES | YES
 | VPH-HB | ALL | *.c1adb | YES | YES
 | VPH-HC | ALL | *.c2adb | YES | YES
 | VPH-HD | ALL | *.c3adb | YES | YES
 | VPH-HE | ALL | *.c4adb | YES | YES

* ALL means that all types are supported.


6.2. Dropping files

By dropping an appropriate file to a dropping-supporting window of this software, you can open the dropped file.


6.2.1. List of dropping-supporting windows and appropriate files

 |  | Window
 |  | Driver | Main | Para | Program | Indirect | Oscillo | Spec | Fre. res
File to drop | Parameter (*.c*pa**) | YES | YES | YES | NO | NO | NO | NO | NO
 | Parameter (*.csv) | NO | NO | NO | NO | NO | NO | NO | NO
 | Program (*.c*pro*) | YES | YES | NO | YES | NO | NO | NO | NO
 | Indirect data (*.c*ind*) | YES | YES | NO | NO | YES | NO | NO | NO
 | Oscilloscope data (*.cxosc*, *.cxlog) | YES | YES | NO | NO | NO | YES | NO | NO
 | Oscilloscope data (*.csv) | NO | NO | NO | NO | NO | NO | NO | NO
 | Frequency spectrum data (*.cxfrs*) | YES | YES | NO | NO | NO | NO | YES | NO
 | Frequency response data (*.cxfrr*) | YES | YES | NO | NO | NO | NO | NO | YES
 | Frequency response data (*.csv) | NO | NO | NO | NO | NO | NO | NO | NO
 | Batch data (*.c*adb*) | NO | NO | NO | NO | NO | NO | NO | NO

* Window abbreviation: Formal name

Driver: Driver/Motor selection window, Main: Main tool bar window, Para: Parameter editing window, Program: Program editing window,

Indirect: Indirect data editing window, Oscillo: Oscilloscope window, Spec: Frequency spectrum window, Fre. res: Frequency response measuring window


6.2.2. Windows that do not support dropping

The following windows do not support opening files by dropping.

Window name

State indication window

Input/Output signal condition display window

Device monitor window

Self diagnosis window

Auto tuning window

Real time servo adjustment window

Test run window

Switch BOX window

Version information window

Data comparison display window

Print window


6.3. The data structure of a csv file

The data structure at the time of saving data by a csv file is shown.

Caution

The file saved in the csv file format cannot be opened by this software.

Parameter data csv file structure

NAME | File name |  |  |  |  |  |  |
DEF | Parameter number | Device number | Parameter name | Unit | Setting range | Setting value | Initial value | Display state

Oscilloscope data csv file structure

NAME | File name |  |  |  |
DEF | 15 |  |  | Setting channel |
DEF | 0 | CH1 display maximum value | CH1 display offset value |  | CH1: Nmae of CH1
DEF | 1 | CH2 display maximum value | CH2 display offset value |  | CH2: Nmae of CH2
DEF | 2 | CH3 display maximum value | CH3 display offset value |  | CH3: Nmae of CH3
DEF | 205 |  | CH4 display offset value |  | CH4: Nmae of CH4
DEF | Data resolution [msec] |  |  | Data resolution |
DEF | 290 |  | 2 |  | 2
DEF | 291 |  | 1 |  | 0
DEF | 292 |  | 3 |  | 0
DEF | 293 |  | 0 |  | 0
DEF | 294 |  | 7 |  | 6
DAT | Data acquisition time [sec] | Data of CH1 | Data of CH2 | Data of CH3 | Data of CH4

Note

In regards of CH display offset amount, It outputs only CH which signal is set at the measuring items.

It outputs the unit related data which is displayed for the speed related data.

Signal data will be OFF at 0 and will be ON at 1.

Frequency response data csv file structure

NAME | File name |  |
 | [Measure condition] | Setting value | Unit
DEF | Measure Gain number | 0 |
DEF | Measuring frequency | 4000 | [Hz]
DEF | Shaking width(Speed comm. quan.) | 1 | [%]
DEF | Shaking width(Offset quantity) | 0 | [%]
DEF | Shaking time | 3000 | [msec]
DEF | Allowable max vibrating quantity | 0 | [pulse]
DEF | Measuring number | 3 | [Times]
 | [Notch filter] | Setting value | Unit
DEF | Central frequency 1 | 0 | [Hz]
DEF | Bandwidth ratio 1 | 0 | [%]
DEF | Depth 1 | 0 | [-dB]
DEF | Central frequency 2 | 0 | [Hz]
DEF | Bandwidth ratio 2 | 0 | [%]
DEF | Depth 2 | 0 | [-dB]
DEF | Central frequency 3 | 0 | [Hz]
DEF | Bandwidth ratio 3 | 0 | [%]
DEF | Depth 3 | 0 | [-dB]
DEF | Central frequency 4 | 0 | [Hz]
DEF | Bandwidth ratio 4 | 0 | [%]
DEF | Depth 4 | 0 | [-dB]
DEF | Central frequency | 0 | [Hz]
DEF | Bandwidth ratio | 0 | [%]
DEF | Depth | 0 | [-dB]
 | [Frequency response] |  |
 | Frequency [Hz] | Oscillation [dB] | Phase [deg]
DAT | 0.244110826 | -0.3161 | 0
DAT | 0.488221653 | -0.3032 | -0.2199
DAT | 0.732332479 | -0.2988 | -0.1022
DAT | ~ | ~ | ~
DAT | 3999.511778 | -11.7789 | 17.4333
DAT | 3999.755889 | -11.8517 | -153.2895
DAT | 4000 | -13.3143 | 22.0282